<script type="text/javascript">
	function do_result(data){
		if (!page.lastAction || !page.lastAction.result) return;
		if (data.indexOf('Err:')>=0){
			doErrorResult(data,page.lastAction);
			return;
		}
		page.lastAction.result(data,page.lastAction);
		page.lastAction=false;
	}
	function doMouseOverOut(actions){
		var icnt,n;
		for (icnt=0,n=actions.length;icnt<n;icnt++){
			actions[icnt].callFunc(actions[icnt].params);
		}
	}
	function changeItemRow(action){
		var element=action.element;
		var changeStyle='';
		if (element.className==action.className+"Select") {
			return;
		}
		if (action.changeStyle) changeStyle=action.changeStyle;
		element.className=action.className+changeStyle;
	}
	function doDisplayAction(action){
		if (page.lastAction || page.locked) return;
		if (!closePreviousOpened(action)) return;
		var element=document.getElementById(action.type+action.id);
		page.lastAction=action;
		addContentRow(element,1);
		if (action.get.indexOf("Edit")>=0) page.locked=true;
		do_get_command('events_mainpage_new.php?AJX_CMD='+action.get+'&'+action.params);
	}
	function doUpdateAction(action){
		if (page.lastAction && page.lastAction!=action) return;
		if (!action.imgProcessed){
			if (action.validate && !action.validate()) return;
			page.lastAction=action;
			if (action.imgUpdate) {
				checkMessageDisplay(action)
				if (attachFileInputs(action.uptForm)){
					AIM.submit(document.getElementById("fileUpload"), {'onComplete' : doImageResult});
					document.getElementById("fileUpload").submit();
					return;
				}
			}
		}
		checkMessageDisplay(action);
		if (action.customUpdate)
			action.customUpdate(action);		
		else
			do_post_command(action.uptForm,'events_mainpage_new.php?AJX_CMD='+action.get);
	}
	function checkMessageDisplay(action){
		if (action.display){
			document.getElementById(action.type+action.id+"message").innerHTML='<b>'+action.display+'&nbsp;'+document.getElementById("ajaxLoadImage").innerHTML+"</b>";
		}
	}
	function attachFileInputs(formName){
		var icnt,n;
		var form=document.forms[formName];
		var imgForm=document.forms["fileUpload"];
		var image_list="";
		document.getElementById("image_list").value='';
		icnt=0;
		while(icnt<form.elements.length){
			if (form.elements[icnt].type && form.elements[icnt].type=="file" && form.elements[icnt].value!=''){
				image_list+=","+form.elements[icnt].name;
				imgForm.appendChild(form.elements[icnt]);
			} else {
				icnt++;
			}
		}
		if (image_list=='') return false;
		image_list=image_list.substr(1);
		document.getElementById("image_list").value=image_list;
		return true;
	}
	function deAttachFileInputs(){
		var icnt,n;
		var form=document.forms["fileUpload"];
		var image_list='';
		for (icnt=0,n=form.elements.length;icnt<n;icnt++){
			if (form.elements[icnt].type=="file"){
				document.getElementById(form.elements[icnt].id+"_container").appendChild(form.elements[icnt]);
			}
		}
		document.getElementById("image_list").value='';
	}
	function doImageResult(result){
		var error='Images Not Saved';
		var rObj=false;
		var key;
		var action;
		if (result.indexOf('Err:')>=0){
			doErrorResult(result,page.lastAction);
			return;
		}
		if (result!="") {
			eval("rObj="+result);
			if (rObj){
				for (key in rObj) {
					if (rObj[key]!="") document.getElementById(key).value=rObj[key];
				}
				page.lastAction.imgProcessed=true;
				page.lastAction.display=page.lastAction.display1;
				doUpdateAction(page.lastAction);
			}
		}
	}
	function doCancelAction(action){
		page.locked=false;
		if (page.opened[action.type] && page.opened[action.type].prevMenu && document.getElementById(action.type+action.id+"menu")){
			document.getElementById(action.type+action.id+"menu").innerHTML=page.opened[action.type].prevMenu;
		}
		closePreviousOpened(action);
	}
	function doSimpleAction(action){
		checkMessageDisplay(action);
		page.locked=true;
		page.lastAction=action;
		do_get_command('events_mainpage_new.php?AJX_CMD='+action.get+'&'+action.params);
	}
	function addContentRow(element,pos){
		if (pos<element.rows.length){
			var c=element.rows[pos].cells[0];
		} else {
			var r=element.insertRow(element.rows.length);
			var c=r.insertCell(0);
			c.className=page.lastAction.type+"content";
			c.id=page.lastAction.type+page.lastAction.id+"content";
		}
		c.innerHTML=document.getElementById("ajaxLoadInfo").innerHTML;
	}
	function doDisplayResult(result,action){
		var result_splt=result.split("@sep@");
		var element=document.getElementById(action.type+action.id+"content");
		element.innerHTML=result_splt[0];
		if (document.getElementById("replace_menu") && document.getElementById(action.type+action.id+"menu")){
			action.prevMenu=document.getElementById(action.type+action.id+"menu").innerHTML;
			document.getElementById(action.type+action.id+"menu").innerHTML=document.getElementById("replace_menu").innerHTML;
		}
		page.opened[action.type]=action;

		if (result_splt[1] && result_splt[1]!='') doJASON(result_splt[1],action);
		changeBoxStyle(action,'Select');
	}
	function doTotalResult(result,action){
		var result_splt=result.split("@sep@");
		page.lastAction=false;
		page.locked=false;
		page.opened={};
		if (result_splt[0]=="")  return;
		if (document.getElementById(action.type+"totalContentResult")){
			document.getElementById(action.type+"totalContentResult").innerHTML=result_splt[0];
		}
	}
	function doErrorResult(result,action){
		var result_splt=result.split("@sep@");
		if (document.getElementById(action.type+action.id+"message")) document.getElementById(action.type+action.id+"message").innerHTML=result_splt[0].substr(4);
		else alert(result_splt[0].substr(4));
		if (action.imgUpdate) deAttachFileInputs();
		if (result_splt[1]) doJASON(result_splt[1],action);
		page.lastAction=false;
	}
	function doSimpleResult(result,action){
		var result_splt=result.split("@sep@");
		page.locked=false;
		page.lastAction=false;
		doJASON(result_splt[1],action);
	}
	function doJASON(data,action){
		var list;
		var command,key;
		if (data=="") return;
		eval("list="+data);
		for(command in list){
			switch(command){
				case 'replace':
					for (key in list[command]){
						if (document.getElementById(action.type+action.id+key)) document.getElementById(action.type+action.id+key).innerHTML=list[command][key];
					}
					break;
				case 'prevAction':
					page.locked=false;
					page.lastAction=false;
					page.opened[action.type]=list[command];
					break;
				case 'deleteRow':
					var row=document.getElementById(list[command].type+list[command].id+"row");
					row.parentNode.removeChild(row);
					break;
				case 'template':
					for (key in list[command]){
						page.template[key]=list[command][key];
					}
				case 'storePage':
					for (key in list[command]){
						page[key]=list[command][key];
					}
					break;
			}
		}
	}
	function changeBoxStyle(action,style_type){
		if (action.style) {
			if (document.getElementById(action.type+action.id+"style"))
				document.getElementById(action.type+action.id+"style").className=action.style+style_type;
			else if (document.getElementById(action.type+action.id)){
				document.getElementById(action.type+action.id).className=action.style+style_type;
			}
		} 
	}
	function closePreviousOpened(action){
		if (page.opened[action.type]){
			var prev_id=page.opened[action.type].id;
			var prev_get=page.opened[action.type].get;
			if (document.getElementById(action.type+prev_id)){
				if (action.id!=prev_id || action.get=="closeRow" || action.get==prev_get){
					var element=document.getElementById(action.type+prev_id);
					element.deleteRow(element.rows.length-1);
					changeBoxStyle(page.opened[action.type],(action.id==prev_id && action.get!='closeRow'?"Hover":""));
				}
				delete page.opened[action.type];
				if (action.id==prev_id && (action.get=="closeRow" || action.get==prev_get)) return false;
			} else {
				delete page.opened[action.type];
			}
		}
		return true;
	}
	function categoryValidate(){
		var form=document.forms["catSubmit"];
		var lang,element,lastError="";
		//check category title & name
		if (!page.languages) return true;
		if (document.getElementById("parent_id") && document.getElementById("parent_id").selectedIndex<=0) {
			lastError+="*"+page.template["ERR_CAT_SELECT_PARENT"]+"\n";
		}
		for(lang in page.languages){
			element=document.getElementById("categories_name["+page.languages[lang].id+"]");
			if (!element) return true;
			if (element.value==""){
				lastError+="*"+page.template["ERR_CAT_NAME_EMPTY"]+"\n";
				break;
			}
		}
		for(lang in page.languages){
			element=document.getElementById("categories_heading_title["+page.languages[lang].id+"]");
			if (!element) return true;
			if (element.value==""){
				lastError+="*"+page.template["ERR_CAT_TITLE_EMPTY"]+"\n";
				break;
			}
		}
		if (lastError!="") {
			alert(lastError);
			return false;
		}
		return true;
	}
	
	function cloneObject(what){
		var i;
		for (i in what){
			if (typeof what[i]=='object'){
				this[i]=new cloneObject(what[i]);
			} else {
				this[i]=what;
			}
		}
	}
	function toggleView(data){
		var element=document.getElementById(data.id);
		var icnt,n;
		switch(data.prop){
			case 'display':
				if (element.style.display==''){
					element.style.display="none";
				} else {
					element.style.display='';
				}
				break;
			case 'enabled':
				element.disabled=!element.disabled;
				break;
		}
		if (!data.doFunc) return;
		for (icnt=0,n=data.doFunc.length;icnt<n;icnt++){
			data.doFunc[icnt](data);
		}
	}
	function doSupportPacks(action){
		var subsList,supportPacks,icnt,n,option,noUsers,pos=-1,kcnt=0,selectedSubsList,subsID,found,jcnt,supportPackView;
		var commands=Array(action.cmd);
		if (!page.supportPacks) return;
		supportPacks=page.supportPacks;
		selectedSubsList=document.getElementById("spk_supportlist");
		subsList=document.getElementById("spk_subscriptions");
		supportPackView=document.getElementById("supportPackUpdateView");
		while(kcnt<commands.length){
			switch(commands[kcnt]){
				case 'deletePack':
					var temp=[];
					pos=selectedSubsList.selectedIndex;
					if (pos<0) return;
					selectedSubsList.remove(pos);
					jcnt=0;
					for (icnt=0,n=supportPacks.length;icnt<n;icnt++){
						if (icnt!=pos){
							temp[jcnt]={'noUsers':supportPacks[icnt].noUsers,'subsID':supportPacks[icnt].subsID};
							jcnt++;
						}
					}
					supportPackView.style.display="none";
					page.supportPacks=temp;
					break;
				case 'selectPack':
					pos=selectedSubsList.selectedIndex;
					if (pos<0) return;
					subsID=supportPacks[pos].subsID;
					for (icnt=0,n=subsList.options.length;icnt<n;icnt++){
						if (subsList.options[icnt].value==subsID){
							subsList.selectedIndex=icnt;
							break;
						}
					}
				case 'addPack':
					if (selectedSubsList.options.length==0){
						alert(page.template["PRD_ERR_SUPPORT_SUBS"]);
						return;
					}
					supportPackView.style.display="";
					noUsers=document.getElementById("spk_nousers");
					if (pos>=0){
						noUsers.value=supportPacks[pos].noUsers;
					} else {
						subsList.selectedIndex=-1;
						noUsers.value="";
					}
					break;
				case 'savePack':
					error='';
					pos=selectedSubsList.selectedIndex;
					noUsers=parseInt(document.getElementById("spk_nousers").value);
					if (subsList.selectedIndex<0){
						error+="* "+page.template["ERR_SPK_SELECT_SUBS"]+"\n";
					}
					if (isNaN(noUsers) || noUsers<=0){
						error+="* "+page.template["ERR_SPK_NO_USERS"]+"\n";
					}
					if (error!=''){
						alert(error);
						return;
					}
					found=false;
					for (icnt=0,n=supportPacks.length;icnt<n;icnt++){
						if ((pos<0 || icnt!=pos) && supportPacks[icnt].subsID==subsList.options[subsList.selectedIndex].value){
							found=true;
							break;
						}
					}
					if (found){
						alert(page.template["ERR_SPK_ALREADY_EXISTS"]);
						return;
					}
					option=page.template["SPK_OPTION"];
					option=option.replace("##USER##",noUsers+"");
					option=option.replace("##SUBSNAME##",subsList.options[subsList.selectedIndex].text);
					if (pos>=0){
						selectedSubsList.options[pos].value=noUsers+"##"+subsList.options[subsList.selectedIndex].value;
						selectedSubsList.options[pos].text=option;
						supportPacks[pos]={"noUsers":noUsers,"subsID":subsList.options[subsList.selectedIndex].value};
					} else {
						addOption(selectedSubsList,option,noUsers+"##"+subsList.options[subsList.selectedIndex].value,selectedSubsList.options.length);
						supportPacks[supportPacks.length]={"noUsers":noUsers,"subsID":subsList.options[subsList.selectedIndex].value};
					}
				case 'closePack':
					supportPackView.style.display="none";
					break;
			}
			kcnt++;
		}
	}

	function updateGross() {
		var taxRate = getTaxRate();
		var grossValue=0;
		if(document.getElementById("products_price")) grossValue = document.getElementById("products_price").value;
		
		if (taxRate > 0) {
			grossValue = grossValue * ((taxRate / 100) + 1);
		}
		
		document.getElementById("products_price_gross").value = doRound(grossValue, 4);
	}
	
	function updateNet() {
		var taxRate = getTaxRate();
		var netValue = document.getElementById("products_price_gross").value;
	
		if (taxRate > 0) {
			netValue = netValue / ((taxRate / 100) + 1);
		}
	
		document.getElementById("products_price").value = doRound(netValue, 4);
	}
	function doPriceBreaks(action){
		var optionElement,taxRate,price,priceBreaks,icnt,n,newPrice,option,quan,pos,kcnt=0,jcnt;
		var commands=Array(action.cmd);
		
		if (!document.getElementById('products_price_break').checked) return;
		if (!page.priceBreaks) return;
		
		optionElement=document.getElementById('pbk_list');
		priceBreaks=page.priceBreaks;

		while(kcnt<commands.length){
			switch(commands[kcnt]){
				case 'refresh':
					price=parseFloat(document.getElementById('products_price').value);
					if (isNaN(price)) price=0;
					taxRate = getTaxRate();
					pos=optionElement.selectedIndex;
					//clearAll(optionElement);
					for (icnt=0,n=priceBreaks.length;icnt<n;icnt++){
						newPrice=price-priceBreaks[icnt].price;
						if (taxRate>0) newPrice+=newPrice*(taxRate/100);
						newPrice=doRound(newPrice,2);
						option=page.template["PBK_OPTION"];
						option=option.replace(/##1##/g,priceBreaks[icnt].quan);
						option=option.replace(/##2##/g,newPrice);
						optionElement.options[icnt].value=priceBreaks[icnt].quan+"##"+priceBreaks[icnt].price;
						optionElement.options[icnt].text=option;
					}
					commands[kcnt+1]="priceChange";
					break;
				case 'deletePrice':
					var temp=[];
					pos=optionElement.selectedIndex;
					if (pos<0) return;
					optionElement.remove(pos);
					document.getElementById('pbk_quantity').value='';
					document.getElementById("pbk_discount_price").value='';
					document.getElementById("pbk_calc_price").innerHTML="&nbsp;";
					jcnt=0;
					for (icnt=0,n=priceBreaks.length;icnt<n;icnt++){
						if (icnt!=pos){
							temp[jcnt]={'quan':priceBreaks[icnt].quan,'price':priceBreaks[icnt].price};
							jcnt++;
						}
					}
					page.priceBreaks=temp;
					if (optionElement.options.length>0 && pos<optionElement.options.length) optionElement.selectedIndex=pos;
					commands[kcnt+1]="select";
					break;
				case 'select':
					pos=optionElement.selectedIndex;
					if (pos<0) return;
					document.getElementById('pbk_quantity').value=priceBreaks[pos].quan;
					document.getElementById('pbk_discount_price').value=priceBreaks[pos].price;
					commands[kcnt+1]="priceChange";
					break;
				case 'priceChange':
					var product_price=parseFloat(document.getElementById('products_price').value);
					price=parseFloat(document.getElementById("pbk_discount_price").value);
					quan=parseFloat(document.getElementById('pbk_quantity').value);
					if (isNaN(price) && isNaN(quan)) break;
					if (isNaN(product_price) || product_price<=0) product_price=0;
					if (isNaN(price) || price<=0) price=0;
					if (isNaN(quan) || quan<=0) quan=1;
					newPrice=(product_price-price);
					taxRate=getTaxRate();
					if (taxRate>0) newPrice+=newPrice*(taxRate/100);
					document.getElementById('pbk_calc_price').innerHTML=doRound(newPrice,2);
					break;
				case 'updatePrice':
					if (optionElement.selectedIndex<0) return;
				case 'addPrice':
					var error='';
					var found=false;
					var quan=parseInt(document.getElementById("pbk_quantity").value);
					price=parseFloat(document.getElementById("pbk_discount_price").value);
					var product_price=parseFloat(document.getElementById("products_price").value);
					if (isNaN(product_price)){
						error+="* "+page.template["ERR_PRICE"]+"\n";
					}
					if (isNaN(quan) || quan<=0){
						error+="* "+page.template["PBK_ERR_QUAN"]+"\n";
					}
					if (isNaN(price) || price<=0){
						error+="* "+page.template["PBK_ERR_PRICE"]+"\n";
					} else if (price>product_price){
						error+="* "+page.template["PBK_ERR_PRICE_LESS"]+"\n";
					}
					if (error!=''){
						alert(error);
						return;
					}
					for (icnt=0,n=priceBreaks.length;icnt<n;icnt++){
						if ((action.cmd=="addPrice" || optionElement.selectedIndex!=icnt) && priceBreaks[icnt].quan==quan){
							found=true;
							break;
						}
					}
					if (found){
						alert(page.template["PBK_ERR_EXISTS"]);
						return;
					}
					taxRate=getTaxRate();
					newPrice=product_price-price;
					if (taxRate>0){
						newPrice+=newPrice*(taxRate/100);
					}
					newPrice=doRound(newPrice,2);
					
					option=page.template["PBK_OPTION"];
					option=option.replace(/##1##/g,quan);
					option=option.replace(/##2##/g,newPrice);
					if (action.cmd=="addPrice"){
						pos=priceBreaks.length;
						addOption(optionElement,option,quan+"##"+price,pos);
						optionElement.selectedIndex=pos;
					} else {
						pos=optionElement.selectedIndex;
						optionElement.options[optionElement.selectedIndex].text=option;
						optionElement.options[optionElement.selectedIndex].value=quan+"##"+price;
					}
					priceBreaks[pos]={'quan':quan,'price':price};
					optionElement.selectedIndex=-1;
					document.getElementById('pbk_quantity').value='';
					document.getElementById("pbk_discount_price").value='';
					document.getElementById("pbk_calc_price").innerHTML="&nbsp;";
			}
			kcnt++;
		}
	}
	function clearAll(listRemove){
		while(listRemove.options.length>0){
			listRemove.options[listRemove.options.length-1]=null;
		}
	}
	function addOption(optionElement,text,value,pos){
		option=document.createElement('OPTION');
		option.text=text;
		option.value=value;
		if (optionElement.add.length==2){
			optionElement.add(option,null);
		} else {
			optionElement.add(option,pos);
		}
	}
	function doRound(x,places){
		return Math.round(x * Math.pow(10,places)) / Math.pow(10,places);
	}
	function getTaxRate(){
		if (!page.taxRates) return 0;
		var element=document.getElementById('products_tax_class_id');
		if (!element) return 0;
		var selected_value=element.selectedIndex;
		var parameterVal=element.options[selected_value].value;
		if ((parameterVal>0) && (page.taxRates[parameterVal]))
			return page.taxRates[parameterVal];
		else
			return 0;
	}
	function doImageHover(obj,image){
		obj.src=page.imgPath+image;
	}
	function showPanelContent(data){
		if (page[data.type]){
			if (data.id==page[data.type]) return;
			if (data.className) document.getElementById(data.type+page[data.type]+"menu").className=data.className;
			document.getElementById(data.type+page[data.type]+"view").style.display="none";
		}
		if (data.className) document.getElementById(data.type+data.id+"menu").className=data.className+"Select";
		page[data.type]=data.id;
		if (document.getElementById(data.type+"Title")) document.getElementById(data.type+"Title").innerHTML=page[data.type+"Menus"][data.id].text;
		var panel=document.getElementById(data.type+data.id+"view");
		panel.style.display="";
	}
	function doAttributes(action){
		var commands,icnt,n,kcnt,command,attribStock,attributes,pos,attribCombo;
		if (!document.getElementById('is_attributes').checked) return;
		if (!page.attributes) return;
		commands=Array(action);
		kcnt=0;
		attribStock=page.attribStock;
		attributes=page.attributes;
		while(kcnt<commands.length){
			command=commands[kcnt];
			switch(command.cmd){
				case 'changeAttribSelect':
					if (command.chkbox.checked){
						if (attribStock.length>0 && attributes[command.optionID].useCnt==0){
							command.chkbox.checked=false;
							alert(page.template["ATT_ERR_VALUE_CHANGE"]);
							return;
						}
						attributes[command.optionID].useCnt++;
					} else {
						if (attribStock.length>0 && checkAttribValueExist(command.optionID,command.valueID)){
							command.chkbox.checked=true;
							alert(page.template["ATT_ERR_VALUE_CHANGE"]);
							return;
						}
						attributes[command.optionID].useCnt--;
					}
					refreshAttrOptionStock(command.optionID);
					break;
				case 'editStockAttr':
					var tmp_splt,tmp_splt1;
					pos=-1;
					for (icnt=0,n=attribStock.length;icnt<n;icnt++){
						if (attribStock[icnt].id==command.id){
							pos=icnt;
							break;
						}
					}
					if (pos<0) return;
					document.getElementById("att_stock_quantity").value=attribStock[pos].qty;
					document.getElementById("att_stock_sku").value=attribStock[pos].sku;
					if (attribStock[pos].status==1){
						document.forms["productSubmit"].elements["att_stock_status"][0].checked=true;
					} else {
						document.forms["productSubmit"].elements["att_stock_status"][0].checked=false;
					}
					tmp_splt=attribStock[pos].id.split("-");
					for (icnt=0,n=tmp_splt.length;icnt<n;icnt++){
						tmp_splt1=tmp_splt[icnt].split("{");
						selectComboValue(document.getElementById("att_stock_value"+tmp_splt1[0]),tmp_splt1[1].substr(0,tmp_splt1[1].length-1))
					}
					page.curAttrStock={id:attribStock[pos].id,'pos':pos};
				case 'addStockAttr':
					for (key in attributes){
						if (attributes[key].show){
							document.getElementById("attributeStockView").style.display='';
							break;
						}
					}
					if (document.getElementById("attributeStockView").style.display=="none"){
						alert(page.template["PRD_ERR_ATTR_EMPTY"]);
						return;
					}
					break;
				case 'updateStockAttr':
					var error='';
					var quantity=parseInt(document.getElementById("att_stock_quantity").value);
					var sku=str_trim(document.getElementById("att_stock_sku").value);
					var status,statusText;
					
					var attribID='',key,status,attrText='';
					if (isNaN(quantity)){
						error+="* "+page.template["ATT_ERR_QUANTITY"]+"\n";
					}
					if (page.SKUlength && (sku=='' || sku==null || sku.length!=page.SKUlength)){
						error+="* "+page.template["ATT_ERR_SKU"]+"\n";
					}
					if (error!=''){
						alert(error);
						return;
					}
					for (key in attributes){
						if (attributes[key].show){
							attCombo=document.getElementById("att_stock_value"+key);
							attrText+=","+attributes[key].name+":"+attCombo.options[attCombo.selectedIndex].text;
							attribID+="-"+key+"{"+attCombo.value+"}";
						}
					}
					attribID=attribID.substr(1);
					for (icnt=0,n=attribStock.length;icnt<n;icnt++){
						if ((!page.curAttrStock.id || icnt!=page.curAttrStock.pos) && attribStock[icnt].id==attribID){
							alert(page.template["ATT_ERR_STOCK_EXISTS"]);
							return;
						}
					}
					if (document.forms["productSubmit"].elements["att_stock_status"][0].checked){
						status=document.forms["productSubmit"].elements["att_stock_status"][0].value;
						statusText='In Stock';
					} else {
						status=document.forms["productSubmit"].elements["att_stock_status"][1].value;
						statusText="Out Stock";
					}
					var dyCmd={cols:[sku,attrText.substr(1),quantity,statusText],id:"attributeStockTable"};
					if (page.curAttrStock.id){
						dyCmd.cmd="edit";
						dyCmd.rowpos=page.curAttrStock.pos+1;
					} else {
						dyCmd.cmd="add";
						dyCmd.rowpos=-1;
						dyCmd.rowClassName="attributes-odd";
						dyCmd.colClassName="smallText";
						dyCmd.cols[4]='<a href="javascript:void(0);" onClick="javascript:doAttributes({cmd:\'editStockAttr\',id:\'' + attribID + '\'});"><img src="'+page.imgPath+'template/img_copy.gif" border="0" align="top"></a>&nbsp;<a href="javascript:doAttributes({cmd:\'deleteStockAttr\',id:\'' + attribID + '\'})"><img src="'+page.imgPath+'template/img_trash.gif" align="top"></a>';
					}
					pos=doDynamicTable(dyCmd);
					pos--;
					if (!attribStock[pos]){
						attribStock[pos]={};
					}
					attribStock[pos].id=attribID;
					attribStock[pos].sku=sku;
					attribStock[pos].qty=quantity;
					attribStock[pos].status=status;
				case 'closeStockAttr':
					page.curAttrStock='';
					document.getElementById("att_stock_quantity").value='';
					document.getElementById("att_stock_sku").value='';
					for (key in attributes){
						if (attributes[key].show){
							attCombo=document.getElementById("att_stock_value"+key);
							attCombo.selectedIndex=0;
						}
					}
					document.getElementById("attributeStockView").style.display='none';
					page.curAttrStock={};
					break;
				case 'deleteStockAttr':
					if (document.getElementById("attributeStockView").style.display!='none') return;
					pos=-1;
					for (icnt=0,n=attribStock.length;icnt<n;icnt++){
						if (attribStock[icnt].id==command.id){
							pos=icnt;
							break;
						}
					}
					if (pos<0) return;
					doDynamicTable({cmd:'delete',rowpos:pos+1,id:"attributeStockTable"});
					page.attribStock=sliceObjectArray(attribStock,pos);
			}
			kcnt++;
		}
	}
	function checkAttribValueExist(optionID,valueID){
		var attribStock=page.attribStock;
		var icnt,n;
		var check_id=optionID+'{'+valueID+"}";

		for (icnt=0,n=attribStock.length;icnt<n;icnt++){
			if (attribStock[icnt].id.indexOf(check_id)>=0){
				return true;
			}
		}
		return false;
	}
	function sliceObjectArray(object,pos){
		var temp=[],icnt,n,key,jcnt=0;
		for (icnt=0,n=object.length;icnt<n;icnt++){
			if (icnt!=pos){
				for(key in object[icnt]){
					if (!temp[jcnt]) temp[jcnt]={};
					temp[jcnt][key]=object[icnt][key];
					jcnt++;
				}
			}
		}
		return temp;
	}
	function doDynamicTable(action){
		var table=document.getElementById(action.id);
		if (!table) return;
		var row,col,icnt,n;
		switch(action.cmd){
			case 'edit':
				row=table.rows[action.rowpos];
				if (!row) return;
				for (icnt=0,n=action.cols.length;icnt<n;icnt++){
					row.cells[icnt].innerHTML=action.cols[icnt];
				}
				return action.rowpos;
			case 'add':
				row=table.insertRow(action.rowpos);
				row.className=action.rowClassName;
				if (action.rowpos<=0) action.rowpos=table.rows.length-1;
				for (icnt=0,n=action.cols.length;icnt<n;icnt++){
					col=row.insertCell(icnt);
					col.className=action.colClassName;
					col.innerHTML=action.cols[icnt];
				}
				return action.rowpos;
			case 'delete':
				table.deleteRow(action.rowpos);
				break;
		}
	}
	function refreshAttrOptionStock(optionID){
		var element,values,key,pos;
		element=document.getElementById("att_stock_value"+optionID);
		pos=element.selectedIndex;
		clearAll(element);
		values=page.attributes[optionID].values;
		if (!values) return;
		for(key in values){
			if (document.getElementById("att_option_value["+optionID+"-"+key+"]").checked){
				addOption(element,values[key].name,key,element.options.length);
			}
		}
		if (!page.attributes[optionID].show && element.options.length>0){
			page.attributes[optionID].show=true;
			document.getElementById("attribStockOption"+optionID).style.display="";
			if (pos>0){
				element.selectedIndex=pos;
			}
		} else if (element.options.length<=0){
			page.attributes[optionID].show=false;
			document.getElementById("attribStockOption"+optionID).style.display="none";
		}
	}
	function selectComboValue(element,value){
		var icnt,n;
		for(icnt=0,n=element.options.length;icnt<n;icnt++){
			if (element.options[icnt].value==value){
				element.selectedIndex=icnt;
				break;
			}
		}
	}
	function productValidate(){
		var form=document.forms["productSubmit"];
		var lastError='';
		var element,icnt,n,tempCnt,value,key,key1,lang;
		for(lang in page.languages){
			element=document.getElementById("products_name["+page.languages[lang].id+"]");
			if (element.value==""){
				lastError+="* "+page.template["PRD_ERR_NAME_EMPTY"]+"\n";
				break;
			}
		}
		element=document.getElementsByName('categories_ids[]');
		tempCnt=0;
		for(icnt=0,n=element.length;icnt<n;icnt++){
			if(element[icnt].checked) {
				tempCnt++;
				break;
			}
		}
		if (tempCnt==0){
			lastError+="* "+page.template["PRD_ERR_SELECT_CAT"]+"\n";
		}
		switch(document.getElementById("product_type").value){
			case 'B':
				if (isEmpty(document.getElementById("author_name"))){
					lastError+="* "+page.template["PRD_ERR_AUTHOR_EMPTY"]+"\n";
				}
				break;
			case 'S':
				if (!page.supportPacks || page.supportPacks.length==0){
					lastError+="* "+page.template["PRD_ERR_SUPPORT_PACK"]+"\n";
				}
				break;
		}
		if (document.getElementById("product_mode").value=="V"){
			if (document.getElementById("download_link").value=="" && document.getElementById("download_link_file").value==""){
				lastError+="* "+page.template["PRD_ERR_DOWNLOAD_LINK"]+"\n";
			}
		}
		value=parseFloat(document.getElementById("products_price").value);
		if (isNaN(value) || value<0){
			lastError+="* "+page.template["PRD_ERR_PRICE"]+"\n";
			if (document.getElementById("products_price_break").checked){
				document.getElementById("products_price_break").checked=false;
				toggleView({'id':"priceBreakView",'prop':'display'});
			}
		}
		if (document.getElementById("products_price_break").checked){
			if (!page.priceBreaks || page.priceBreaks.length==0){
				lastError+="* "+page.template["PRD_ERR_PRICE_BREAKS_EMPTY"]+"\n";
			}
		}
		if (!document.getElementById("is_attributes").checked){
			value=parseInt(document.getElementById("products_quantity").value);
			if(isNaN(value) || value<=0){
				lastError+="* "+page.template["PRD_ERR_QUANTITY"]+"\n";
			}
			value=document.getElementById("products_sku").value;
			if (page.SKUlength && (value=='' || value.length!=page.SKUlength)){
				lastError+="* "+page.template["ATT_ERR_SKU"]+"\n";
			}
		}
		value=document.getElementById("products_weight").value;
		if (page.weightUnit && page.weightUnit.toLowerCase()=="oz" && value.indexOf(".")>=0){
			lastError+="* "+page.template["PRD_ERR_WEIGHT_UNIT"]+"\n";
		}
		if (document.getElementById("is_attributes").checked){
			tempCnt=0;
			for (key in page.attributes){
				if (page.attributes[key].show){
					tempCnt++;
					break;
				}
			}
			if (tempCnt==0){
				lastError+="* "+page.template["PRD_ERR_ATTR_EMPTY"]+"\n";
			}
			if (page.attribStock.length==0){
				lastError+="* "+page.template["PRD_ERR_ATTR_STOCK"]+"\n";
			}
		}
		if (document.getElementById("is_subscription").checked){
			if (document.getElementById("subscription_categories_ids").selectedIndex<0){
				lastError+="* "+page.template["PRD_ERR_LINKED_SUBS"]+"\n";
			}
		}
		for (icnt=1;icnt<=5;icnt++){
			if (document.getElementById("products_image_"+icnt+"_file") && document.getElementById("products_image_"+icnt+"_file").value!="" && !checkMime(document.getElementById("products_image_"+icnt+"_file"),['jpg','gif','jpeg','png'])){
				lastError+="* "+page.template["PRD_ERR_IMAGE_TYPE"]+"\n";
				break;
			}
		}
		if (lastError!=''){
			alert(lastError);
			return false;
		}
		return true;
	}
	function doProductUpdate(){
		var data='',temp,element,icnt,n,key,key1,key2,quantity;
		var form=document.forms["productSubmit"];
		for(lang in page.languages){
			data+="products_name["+page.languages[lang].id+"]="+encodeURIComponent(document.getElementById("products_name["+page.languages[lang].id+"]").value)+"&";
			data+="products_url["+page.languages[lang].id+"]="+encodeURIComponent(document.getElementById("products_url["+page.languages[lang].id+"]").value)+"&";
			data+="products_description["+page.languages[lang].id+"]="+encodeURIComponent(document.getElementById("products_description["+page.languages[lang].id+"]").value)+"&";
		}
		for (icnt=0,n=form["products_status"].length;icnt<n;icnt++){
			if (form["products_status"][icnt].checked){
				data+="products_status="+form["products_status"][icnt].value+"&";
				break;
			}
		}
		data+=getMselectValues(form["categories_ids[]"]);
		data+="manufacturers_id="+form["manufacturers_id"].value+"&";
		data+="products_date_available="+encodeURIComponent(form["products_date_available"].value)+"&";
		data+=getMselectValues(form["restrict_to_groups[]"],true,"restrict_to_groups");
		data+=getMselectValues(form["restrict_to_customers[]"],true,"restrict_to_customers");
		
		
		data+="product_type="+form["product_type"].value+"&";
		switch(form["product_type"].value){
			case 'B':
				data+="author_name="+encodeURIComponent(form["author_name"].value)+"&";
				break;
			case 'S':
				temp='';
				for (icnt=0,n=page.supportPacks.length;icnt<n;icnt++){
					temp+="&"+"supportPacks["+icnt+"][noUsers]="+page.supportPacks[icnt].noUsers;
					temp+="&"+"supportPacks["+icnt+"][subsID]="+page.supportPacks[icnt].subsID;
				}
				if (temp!=''){
					data+=temp.substr(1);
				}
				break;
			default:
				data+="products_model="+encodeURIComponent(form["products_model"].value)+"&";
		}
		data+="product_mode="+form["product_mode"].value+"&";
		if (form["product_mode"].value=="V"){
			data+="download_last_date="+encodeURIComponent(form["download_last_date"].value)+"&";
			data+="download_count="+encodeURIComponent(form["download_count"].value)+"&";
			data+="download_link="+form["download_link"].value+"&";
		} 
		
		data+="products_weight="+form["products_weight"].value+"&";
		data+="products_tax_class_id="+form["products_tax_class_id"].value+"&";
		data+="products_price="+encodeURIComponent(form["products_price"].value)+"&";
		data+="products_price_break="+(form["products_price_break"].checked?form["products_price_break"].value:'')+"&";
		if (form["products_price_break"].checked){
			temp='';
			for (icnt=0,n=page.priceBreaks.length;icnt<n;icnt++){
				data+="priceBreaks["+icnt+"][quan]="+page.priceBreaks[icnt].quan+"&";
				data+="priceBreaks["+icnt+"][price]="+page.priceBreaks[icnt].price+"&";
			}
			if (temp!=''){
				data+=temp;
			}
		}
		data+="products_sku="+form["products_sku"].value+"&";
		
		data+="is_attributes="+(form["is_attributes"].checked?form["is_attributes"].value:'')+"&";

		quantity=form["products_quantity"].value;
		if (form["is_attributes"].checked){
			for (key in page.attributes){
				if (!page.attributes[key].show) continue;
				for (key1 in page.attributes[key].values){
					key2=key+"-"+key1;
					if (!document.getElementById("att_option_value["+key2+"]").checked) continue;
					temp="attributes["+key2+"]";
					data+=temp+"[prefix]="+encodeURIComponent(document.getElementById("prefix["+key2+"]").value)+"&";
					data+=temp+"[price]="+encodeURIComponent(document.getElementById("price["+key2+"]").value)+"&";
					data+=temp+"[sort_order]="+encodeURIComponent(document.getElementById("sort_order["+key2+"]").value)+"&";
					data+=temp+"[one_time]="+encodeURIComponent(document.getElementById("one_time["+key2+"]").value)+"&";
					data+=temp+"[weight_prefix]="+encodeURIComponent(document.getElementById("weight_prefix["+key2+"]").value)+"&";
					data+=temp+"[weight]="+encodeURIComponent(document.getElementById("weight["+key2+"]").value)+"&";
				}
			}
			quantity=0;
			for(icnt=0,n=page.attribStock.length;icnt<n;icnt++){
				data+="attribStock["+icnt+"][id]="+page.attribStock[icnt]["id"]+"&";
				data+="attribStock["+icnt+"][sku]="+encodeURIComponent(page.attribStock[icnt]["sku"])+"&";
				data+="attribStock["+icnt+"][qty]="+encodeURIComponent(page.attribStock[icnt]["qty"])+"&";
				data+="attribStock["+icnt+"][status]="+page.attribStock[icnt]["status"]+"&";
				quantity+=page.attribStock[icnt]["qty"];
			}
		}
		data+="products_quantity="+quantity+"&";
		data+="products_id="+form["product_id"].value+"&";
		data+="prev_attribute_ids="+form["prev_attribute_ids"].value+"&";
		data+="prev_attribute_stock_ids="+form["prev_attribute_stock_ids"].value+"&";
		for (icnt=1;icnt<=5;icnt++){
			data+="products_image_"+icnt+"="+form["products_image_"+icnt].value+"&";
			data+="products_title_"+icnt+"="+encodeURIComponent(form["products_title_"+icnt].value)+"&";
		}
		
		if (form["is_subscription"].checked){
			element=form["subscription_categories_ids"];
			for(icnt=0,n=element.options.length;icnt<n;icnt++){
				if (element.options[icnt].selected){
					data+="subscription_link_ids[]="+element.options[icnt].value+"&";
				}
			}
		}
		command="http://raga:82/main/freeway/admin/events_mainpage_new.php?AJX_CMD=ProductUpdate&RQ=A&" + new Date().getTime();
		// define the method to handle server responses
		xmlHttp.open("POST", command, true);
		xmlHttp.setRequestHeader("Method", "POST "+command+" HTTP/1.1");
		xmlHttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;");
		xmlHttp.onreadystatechange = handleServerResponse;
		xmlHttp.send(data);
	}
	function getMselectValues(element,noarray,name){
		var temp='';
		for(icnt=0,n=element.length;icnt<n;icnt++){
			if(element[icnt].checked) {
				if (noarray){
					temp+=","+element[icnt].value;
				} else{
					temp+=element[icnt].name+"="+element[icnt].value+"&";
				}
			}
		}
		if (noarray){
			if (temp!='') temp=temp.substr(1);
			temp=name+"="+temp+"&";
		}
		return temp;
	}
	function isEmpty(ctlName){
		var value;
		if (ctlName && ctlName.length>0 && ctlName[0]){
			for (icnt=0;icnt<ctlName.length;icnt++){
				value=ctlName[icnt].value.trim();
				if (value=="") return true;						
			}
		} else if(ctlName) {
			value=ctlName.value.trim();
			if (value=="") return true;
		}
		return false;
	}
	function checkMime(control,extArray){
		var pos,extension,matchFound,icnt,n;
		pos=control.value.lastIndexOf(".");
		if (pos<0) return false;
		extension=control.value.substr(pos+1).toLowerCase();
		matchFound=false;
		for (icnt=0,n=extArray.length;icnt<n;icnt++){
			if (extension==extArray[icnt]){
				matchFound=true;
				break;
			}
		}
		return matchFound;
	}

</script>