<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare

    Released under the GNU General Public License

*/
defined('_FEXEC') or die();



class cmsFaq
{
    var $pagination;
    var $splitResult;
    var $type;

    function cmsFaq()
    {
        $this->pagination=false;
        $this->splitResult=false;
        $this->type='cfq';
    }


    function doCategorySort(){
        global $FREQUEST,$jsData;
        $mode=$FREQUEST->getvalue("mode","string","down");
        $category_id=$FREQUEST->getvalue("cID","int",0);
        $parent_id=$FREQUEST->getvalue("parent","int",0);

        $category_query=tep_db_query("SELECT sort_order from " . TABLE_FAQDESK_CATEGORIES . " where categories_id=$category_id and parent_id=$parent_id");
        if (tep_db_num_rows($category_query)<=0){
            echo "Err:"  . TEXT_CATEGORY_NOT_FOUND;
            return;
        }
        $category_result=tep_db_fetch_array($category_query);
        $current_order=(int)$category_result["sort_order"];

        if ($mode=="up") {
            $category_sort_query=tep_db_query("select sort_order, categories_id from ".TABLE_FAQDESK_CATEGORIES." where parent_id=$parent_id and sort_order<$current_order order by sort_order desc limit 1");
        } else {
            $category_sort_query=tep_db_query("select sort_order, categories_id from ".TABLE_FAQDESK_CATEGORIES." where parent_id=$parent_id and sort_order>$current_order order by sort_order limit 1");
        }
        if(tep_db_num_rows($category_sort_query)<=0){
            echo "NOTRUNNED";
            return;
        }
        $categories_result=tep_db_fetch_array($category_sort_query);
        $prev_order=$categories_result['sort_order'];
        tep_db_query("UPDATE " . TABLE_FAQDESK_CATEGORIES . " set sort_order='" . $current_order ."' where categories_id='" . (int)$categories_result['categories_id'] . "'");
        tep_db_query("UPDATE " .TABLE_FAQDESK_CATEGORIES. " set sort_order='" . $prev_order . "' where categories_id=$category_id");
        echo "SUCCESS";
        $jsData->VARS['moveRows']=array('mode'=>$mode,'destID'=>$categories_result['categories_id']);
    }



    function doProductCopy()
    {
        global $FREQUEST,$jsData;

        $cID=$FREQUEST->postvalue('cID','int',0);
        $pID=$FREQUEST->postvalue('faq_id','int',0);

        $categories_id=$FREQUEST->postvalue('categories_id');

        if ($pID>0) {
            $categories_id = tep_db_prepare_input($categories_id);
            if ($FREQUEST->postvalue('copy_as') == 'link') {
                if ($categories_id != $cID) {
                    $check_query = tep_db_query("select count(*) as total from " . TABLE_FAQDESK_TO_CATEGORIES . " where faqdesk_id = '" . tep_db_input($pID) . "' and categories_id = '" . tep_db_input($categories_id) . "'");
                    $check = tep_db_fetch_array($check_query);
                    if ($check['total'] < '1')
                    tep_db_query("insert into " .TABLE_FAQDESK_TO_CATEGORIES . " (faqdesk_id, categories_id) values ('" . tep_db_input($pID) . "', '" . tep_db_input($categories_id) . "')");

                } else $result.=ERROR_CANNOT_LINK_TO_SAME_CATEGORY;
            } elseif ($FREQUEST->postvalue('copy_as') == 'duplicate') {
                $product_query = tep_db_query("select faqdesk_image, faqdesk_image_two, faqdesk_image_three, faqdesk_date_added, faqdesk_date_available,faqdesk_status, faqdesk_sticky
                                                       from " . TABLE_FAQDESK . " where faqdesk_id = '" . tep_db_input($pID) . "'");
                $product = tep_db_fetch_array($product_query);
                tep_db_query("insert into " . TABLE_FAQDESK . " (faqdesk_image, faqdesk_image_two, faqdesk_image_three, faqdesk_date_added, faqdesk_date_available,
                                    faqdesk_status, faqdesk_sticky) values ('" . $product[faqdesk_image] . "','" . $product[faqdesk_image_two] . "',
                                     '" . $product[faqdesk_image_three] . "', '" . $product[faqdesk_date_added]  . "', '" . $product[faqdesk_date_available] . "',
                                     '" . $product[faqdesk_status] . "', '" . $product[faqdesk_sticky] . "')");
                $dup_product_id = tep_db_insert_id();
                $description_query = tep_db_query("select language_id, faqdesk_question, faqdesk_answer_long, faqdesk_extra_url, faqdesk_image_text, faqdesk_image_text_two,
                                                           faqdesk_image_text_three, faqdesk_extra_viewed, faqdesk_answer_short from " . TABLE_FAQDESK_DESCRIPTION . " where faqdesk_id = '" .
                    tep_db_input($pID) . "'");

                while ($description = tep_db_fetch_array($description_query)) {
                    tep_db_query("insert into " . TABLE_FAQDESK_DESCRIPTION . " (faqdesk_id, language_id, faqdesk_question,
                                                    faqdesk_answer_long, faqdesk_extra_url, faqdesk_image_text, faqdesk_image_text_two, faqdesk_image_text_three,
                                                    faqdesk_extra_viewed, faqdesk_answer_short) values ('" . $dup_product_id . "', '" . $description['language_id'] . "', '"
                        . addslashes($description[faqdesk_question]) . "', '" . addslashes($description[faqdesk_answer_long]) . "',
                                                    '" . $description[faqdesk_extra_url] . "', '" . $description[faqdesk_image_text] . "', '" . $description[faqdesk_image_text_two] . "',
                                                    '" . $description[faqdesk_image_text_three] . "', '" . $description[faqdesk_extra_viewed] . "',
                                                    '" . $description[faqdesk_answer_short] . "')");
                }
                tep_db_query("insert into " . TABLE_FAQDESK_TO_CATEGORIES . " (faqdesk_id, categories_id) values ('" . $dup_product_id . "', '" . tep_db_input($categories_id) . "')");
                $pID = $dup_product_id;

            }

            $this->doCmsFaq($cID);
            $jsData->VARS["displayMessage"]=array('text'=>TEXT_COPY_FAQ_SUCCESS);
            tep_reset_seo_cache('options');
        }

    }


    function doProductCopyDisplay(){
        global $FSESSION,$jsData,$FREQUEST;
        $category_id=$FREQUEST->getvalue('cID','int',0);
        $faq_id=$FREQUEST->getvalue('rID','int',0);

        $current_categories=faqdesk_output_generated_category_path($faq_id, 'product');
        $current_categories_tree=faqdesk_get_category_tree();
        ?>
<form  name="prdCopySubmit" id="prdCopySubmit" action="cms_faq.php" method="post" enctype="application/x-www-form-urlencoded">
    <input type="hidden" name="faq_id" value="<?php echo tep_output_string($faq_id);?>"/>
    <input type="hidden" name="cID" value="<?php echo tep_output_string($category_id);?>"/>
    <table border="0" cellpadding="4" cellspacing="0" width="100%">
        <tr>
            <td class="main" id="prd<?php echo $faq_id;?>message">
            </td>
        </tr>
        <tr>
            <td class="inner_title"><?php echo TEXT_INFO_COPY_TO_INTRO;?></td>
        </tr>
        <tr>
            <td class="main"><?php echo TEXT_INFO_CURRENT_CATEGORIES .'&nbsp;&nbsp;<b>' .$current_categories  . '<p>';?></td>
        </tr>
        <tr>
            <td class="main"><?php echo TEXT_CATEGORIES . tep_draw_pull_down_menu('categories_id', $current_categories_tree , $category_id)?></td>
        </tr>
        <tr>
            <td class="main">
                <?php
                echo TEXT_HOW_TO_COPY . '&nbsp;&nbsp;';
                echo tep_draw_radio_field('copy_as', 'link', true) . '&nbsp;' . TEXT_COPY_AS_LINK . '&nbsp;&nbsp;&nbsp;'. tep_draw_radio_field('copy_as', 'duplicate',false) . '&nbsp;' . TEXT_COPY_AS_DUPLICATE . '<p>';
                ?>
            </td>
        </tr>
        <tr>
            <td class="main">
                <a href="javascript:void(0);" onClick="javascript:return doUpdateAction({id:<?php echo $faq_id;?>,type:'prd',get:'ProductCopy',result:doTotalResult,message:'<?php echo tep_output_string(TEXT_PRODUCT_COPYING);?>','uptForm':'prdCopySubmit','closePrev':true,'imgUpdate':false,params:''})"><?php echo tep_image_button('button_copy.gif');?></a>&nbsp;
                <a href="javascript:void(0);" onClick="javascript:return doCancelAction({id:<?php echo $faq_id;?>,type:'prd',get:'closeRow','style':'boxRow'})"><?php echo tep_image_button('button_cancel.gif');?></a>
            </td>
        </tr>
    </table>
</form>
<?php
$jsData->VARS["updateMenu"]="";
}






function doCmsFaqMove()
{
global $FREQUEST,$jsData;

$faq_id=$FREQUEST->postvalue('faq_id','int',0);
$category_id=$FREQUEST->postvalue('category_id','int',0);


$new_parent_id = tep_db_prepare_input($FREQUEST->postvalue('move_to_category_id'));

$duplicate_check_query = tep_db_query("select count(*) as total from " .TABLE_FAQDESK_TO_CATEGORIES. " where faqdesk_id = '" . tep_db_input($faq_id) . "' and categories_id = '" . tep_db_input($new_parent_id) . "'");
$duplicate_check = tep_db_fetch_array($duplicate_check_query);
if ($duplicate_check['total'] < 1) tep_db_query("update " .TABLE_FAQDESK_TO_CATEGORIES . " set categories_id = '" . tep_db_input($new_parent_id) . "' where faqdesk_id = '" . tep_db_input($faq_id) . "' and categories_id = '" . tep_db_input($category_id) . "'");

$this->doCmsFaq($category_id);
$jsData->VARS["displayMessage"]=array('text'=>TEXT_MOVE_FAQ_SUCCESS);
tep_reset_seo_cache('options');


}

function doCmsFaqMoveDisplay(){
global $FREQUEST,$jsData,$CAT_TREE,$FSESSION;
$faq_id=$FREQUEST->getvalue('rID','int',0);
$category_id=$FREQUEST->getvalue('cID','int',0);


$categories_output=faqdesk_output_generated_category_path($faq_id, 'product');					
$categories_output_tree=faqdesk_get_category_tree();

?>
<form action="javascript:void(0)" method="post" enctype="application/x-www-form-urlencoded" name="catMoveSubmit" id="catMoveSubmit">
    <input type="hidden" name="faq_id" value="<?php echo tep_output_string($faq_id); ?>"/>
    <input type="hidden" name="category_id" value="<?php echo tep_output_string($category_id);?>" />
    <table width="100%"  border="0" cellspacing="5" cellpadding="5" style="padding-left:20px;">
        <tr>
            <td class="main" id="cat<?php echo $faq_id;?>message"></td>
        </tr>
        <tr>
            <td class="main"><b><?php echo sprintf(TEXT_MOVE_CATEGORIES_INTRO, '');?></b></td>
        </tr>
        <tr>
            <td class="main"><?php echo TEXT_INFO_CURRENT_CATEGORIES .'&nbsp;&nbsp;<b>' . $categories_output;?></td>
        </tr>
        <tr>
            <td class="main" align="left"><?php echo TEXT_MOVE_TO. '&nbsp;' . tep_draw_pull_down_menu('move_to_category_id', faqdesk_get_category_tree('0', '', $category_id));?></td>
        </tr>
        <tr>
            <td class="main"><a href="javascript:void(0);" onclick="javascript:return doUpdateAction({id:<?php echo $faq_id;?>,type:'prd',style:'boxRow','get':'CmsFaqMove','result':doTotalResult,uptForm:'catMoveSubmit','imgUpdate':false,message:page.template['CAT_MOVING']});"><?php echo tep_image_button('button_move.gif');?></a>&nbsp;<a href="javascript:void(0)" onClick="javascript:return doCancelAction({id:<?php echo $faq_id;?>,type:'prd','get':'closeRow',style:'boxRow'});"><?php echo tep_image_button('button_cancel.gif');?></a></td>
        </tr>
    </table>
</form>
<?php
}



function doCategoryMove()
{
global $FREQUEST,$jsData,$SERVER_DATE;

$cID=$FREQUEST->postvalue('category_id','int',0);


if ($cID  && ($cID != $FREQUEST->postvalue('move_to_category_id'))){				
    $new_parent_id = tep_db_prepare_input($FREQUEST->postvalue('move_to_category_id'));

    tep_db_query("update " . TABLE_FAQDESK_CATEGORIES. " set parent_id = '" . tep_db_input($new_parent_id) . "', last_modified = '" . $SERVER_DATE . "' where categories_id = '" . tep_db_input($cID) . "'");
    $this->doCategory();
    $jsData->VARS["displayMessage"]=array('text'=>TEXT_MOVE_CATEGORY_SUCCESS);
    tep_reset_seo_cache('options');

}

}

function doCategoryMoveDisplay(){
global $FREQUEST,$jsData,$CAT_TREE,$FSESSION;
$category_id=$FREQUEST->getvalue('rID','int',0);
$category_name=tep_db_prepare_input($FREQUEST->getvalue('name'));

?>
<form action="javascript:void(0)" method="post" enctype="application/x-www-form-urlencoded" name="catMoveSubmit" id="catMoveSubmit">
    <input type="hidden" name="category_id" value="<?php echo $category_id; ?>"/>
    <table width="100%"  border="0" cellspacing="5" cellpadding="5" style="padding-left:20px;">
        <tr>
            <td class="main" id="cat<?php echo $category_id;?>message"></td>
        </tr>
        <tr>
            <td class="main"><b><?php echo sprintf(TEXT_MOVE_CATEGORIES_INTRO, $category_name);?></b></td>
        </tr>
        <tr>
            <td class="main" align="left"><?php echo sprintf(TEXT_MOVE, $category_name) . '&nbsp;' . tep_draw_pull_down_menu('move_to_category_id', faqdesk_get_category_tree('0', '', $category_id));?></td>
        </tr>
        <tr>
            <td class="main"><a href="javascript:void(0);" onclick="javascript:return doUpdateAction({id:<?php echo $category_id;?>,type:'cfq',style:'boxRow','get':'CategoryMove','result':doTotalResult,uptForm:'catMoveSubmit','imgUpdate':false,message:page.template['CAT_MOVING']});"><?php echo tep_image_button('button_move.gif');?></a>&nbsp;<a href="javascript:void(0)" onClick="javascript:return doCancelAction({id:<?php echo $category_id;?>,type:'cfq','get':'closeRow',style:'boxRow'});"><?php echo tep_image_button('button_cancel.gif');?></a></td>
        </tr>
    </table>
</form>
<?php
}


function doSetFlag()
{
global $FREQUEST,$jsData;

$cID=$FREQUEST->getvalue('cID');
$pID=$FREQUEST->getvalue('pID');
$flag=$FREQUEST->getvalue('status');	
if (($flag == '0') || ($flag == '1')) {
    if ($pID) {
        faqdesk_set_product_status($pID, $flag);

        $result='<a href="javascript:void(0)" onclick="javascript:doSimpleAction({id:'. $pID .",get:'SetFlag',result:doSimpleResult,params:'pID=". $pID . "&status=".(($flag==0)?1:0)."',message:'".TEXT_UPDATING_STATUS."'});\">" . (($flag==0)?tep_image(DIR_WS_IMAGES . 'template/icon_inactive.gif'):tep_image(DIR_WS_IMAGES . 'template/icon_active.gif')) . '</a>';
        $jsData->VARS["replace"]=array("prd". $pID ."bullet"=>$result);


    }
    if ($cID) {
        faqdesk_set_categories_status($cID, $flag);
        $result='<a href="javascript:void(0)" onclick="javascript:doSimpleAction({id:'. $cID .",get:'SetFlag',result:doSimpleResult,params:'cID=". $cID . "&status=".(($flag==0)?1:0)."',message:'".TEXT_UPDATING_STATUS."'});\">" . (($flag==0)?tep_image(DIR_WS_IMAGES . 'template/icon_inactive.gif'):tep_image(DIR_WS_IMAGES . 'template/icon_active.gif')) . '</a>';
        $jsData->VARS["replace"]=array("cfq". $cID ."bullet"=>$result);
    }
}	

}


function doSearch(){
global $FREQUEST,$jsData;
$search=$FREQUEST->getvalue('search');
$search_db=tep_db_input($search);
?>
<table border="0" width="100%" cellspacing="0" cellpadding="0">
    <tr>
        <td class="main">
            <b><?php echo TEXT_SEARCH_RESULTS;?></b>
        </td>
    </tr>
    <tr height="10">
        <td class="main">
        </td>
    </tr>
    <tr>
        <td>
            <table border="0" cellpadding="2" cellspacing="0" width="100%" id="catTable">
                <?php
                $found=$this->doCategoryList("( cd.categories_name like'%".$search_db."%' ",0,$search);
                if (!$found){
                    ?>
                <tr>
                    <td class="main">
                        <?php echo TEXT_NO_RECORDS_FOUND;?>
                    </td>
                </tr>
                <?php
                if ($this->splitResult->queryRows>0){
                    echo $this->splitResult->pgLinksCombo();
                }
            }
            ?>
            </table>
        </td>
    </tr>
    <tr height="10">
        <td class="main">
        </td>
    </tr>
    <tr>
        <td class="main">
            <a href="javascript:void(0);" onClick="javascript:doSearch('reset');"><?php echo tep_image_button('button_reset.gif',IMAGE_RESET);?></a>
        </td>
    </tr>
</table>
<?php
$jsData->VARS["NUclearType"]=$this->type;
}



function doCmsFaqDelete()
{
global $FREQUEST,$jsData;
$faq_id=$FREQUEST->postvalue('faq_id','int',0);
$category_id=$FREQUEST->postvalue('category_id','int',0);

if ($faq_id>0){
   tep_db_query("delete from " . TABLE_FAQDESK_TO_CATEGORIES . " where faqdesk_id = '" . tep_db_input($faq_id) . "' and categories_id = '" . tep_db_input($category_id) . "'");

    $product_categories_query = tep_db_query("select count(*) as total from " . TABLE_FAQDESK_TO_CATEGORIES . " where faqdesk_id = '" . tep_db_input($faq_id) . "'");
    $product_categories = tep_db_fetch_array($product_categories_query);
    if ($product_categories['total'] == '0') {
        faqdesk_remove_product($faq_id);
    }
   
    $this->doCmsFaq($category_id);
  
   
    $jsData->VARS["displayMessage"]=array('text'=>TEXT_FAQ_DELETED_SUCCESS);
    tep_reset_seo_cache('faqs');
   
    $jsData->VARS['storePage']['opened']['cfq']=array('type'=>'cfq','get'=>'Info','id'=>$category_id,'result'=>'doDisplayResult','style'=>'boxLevel1');
   
} else {
    echo "Err:" . TEXT_CUSTOMER_GROUPS_NOT_DELETED;
}
}


function doCmsFaqDeleteConfirm()
{
global $FREQUEST,$jsData;
$country_id=$FREQUEST->getvalue('aID','int',0);
$category_id=$FREQUEST->getvalue('cID','int',0);
$faq_id=$FREQUEST->getvalue('rID','int',0);
$delete_message='<p><span class="smallText">' . TEXT_DELETE_PRODUCT_INTRO . '</span>';
?>
<form  name="prdDeleteSubmit" id="prdDeleteSubmit" action="cms_faq.php" method="post" enctype="application/x-www-form-urlencoded">
    <input type="hidden" name="category_id" value="<?php echo tep_output_string($category_id);?>"/>
    <input type="hidden" name="faq_id" value="<?php echo tep_output_string($faq_id);?>"/>
    <table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr>
            <td class="main" id="prd<?php echo $country_id;?>message">
            </td>
        </tr>
        <tr>
            <td class="main">
                <?php echo $delete_message;?>
            </td>
        </tr>
        <tr height="40">
            <td class="main" style="vertical-align:bottom">
                <p>
                <a href="javascript:void(0);" onClick="javascript:return doUpdateAction({id:<?php echo $faq_id;?>,type:'prd',get:'CmsFaqDelete',result:doTotalResult,message:page.template['PRD_DELETING'],'uptForm':'prdDeleteSubmit','imgUpdate':false,params:''})"><?php echo tep_image_button('button_delete.gif');?></a>&nbsp;
                <a href="javascript:void(0);" onClick="javascript:return doCancelAction({id:<?php echo $faq_id;?>,type:'prd',get:'closeRow','style':'boxRow'})"><?php echo tep_image_button('button_cancel.gif');?></a>
            </td>
        </tr>
        <tr>
            <td><hr/></td>
        </tr>
        <tr>
            <td valign="top" class="categoryInfo"><?php echo $this->doCmsFaqInfo($faq_id);?></td>
        </tr>
    </table>
</form>
<?php
$jsData->VARS["updateMenu"]="";

}


function doCategoryEdit()
{
global $FREQUEST,$jsData,$LANGUAGES,$FSESSION;
$category_id=$FREQUEST->getvalue("rID","int",0);
$categories_query = tep_db_query("select c.parent_id,c.categories_id, cd.categories_name, c.categories_image, c.sort_order, c.date_added, c.last_modified, c.catagory_status from ".TABLE_FAQDESK_CATEGORIES ." c, ".TABLE_FAQDESK_CATEGORIES_DESCRIPTION ." cd where c.categories_id = cd.categories_id and cd.language_id = '" . (int)$FSESSION->languages_id . "' and c.categories_id='".tep_db_input($category_id)."' order by c.sort_order, cd.categories_name");				 				
if(tep_db_num_rows($categories_query)>0){
    $categories=tep_db_fetch_array($categories_query);
    $cInfo=new objectInfo($categories);
}
for ($i = 0, $n = sizeof($LANGUAGES); $i < $n; $i++)
$contents.= '<td class="main" align="left" nowrap="true">'.tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$i]['directory'] . '/images/' . $LANGUAGES[$i]['image'], $LANGUAGES[$i]['name']) . '&nbsp;<br>' . tep_draw_input_field('categories_name[' . $LANGUAGES[$i]['id'] . ']',$cInfo->categories_name,'maxlength="32"').'</td>';


$template=getInfoTemplate($category_id);?>
<form action="javascript:void(0)" method="post" enctype="multipart/form-data" name="Category" id="Category">
    <?php
    $rep_array=array(			"ENT_NAME"=>TEXT_CATEGORIES_NAME,
                                            "NAME"=>$contents,
                                            "TYPE"=>$this->type,
                                            "ENT_DESCRIPTION"=>TEXT_CATEGORIES_IMAGE.'('.((strlen($cInfo->categories_image)>20)?substr($cInfo->categories_image,0,20).'...':$cInfo->categories_image).')',
                                            "DESCRIPTION"=>'<div id="categories_image_container">'.tep_draw_file_field('categories_image_file').'</div>',
                                            "ID"=>$cInfo->geo_zone_id,
                                            "IMAGE_PATH"=>DIR_WS_IMAGES,
                                            "FIRST_MENU_DISPLAY"=>""
    );
    echo tep_draw_hidden_field('categories_image',$cInfo->categories_image);
    echo tep_draw_hidden_field('category_id',$cInfo->categories_id);
    echo mergeTemplate($rep_array,$template);
    echo '</form>';
    $jsData->VARS["updateMenu"]=",update,";
    $display_mode_html=' style="display:none"';

}

function doCmsFaqEdit()
{

    global $FSESSION,$FREQUEST,$jsData,$languages_id,$pInfo,$cID,$check_ID;


    $category_id=$FREQUEST->getvalue('cID','int',0);
    $faq_id=$FREQUEST->getvalue('rID','int',0);
    $product_query = tep_db_query("select pd.faqdesk_question as product_name, pd.faqdesk_answer_long as product_description, pd.faqdesk_answer_short as product_shorttext, pd.faqdesk_extra_url as product_url,
                                    pd.faqdesk_image_text as product_image_text, pd.faqdesk_image_text_two as product_image_text_two, pd.faqdesk_image_text_three as product_image_text_three, p.faqdesk_id, p.faqdesk_image as product_image, p.faqdesk_image_two as product_image_two,
                                    p.faqdesk_image_three as product_image_three, p.faqdesk_date_added as product_date_added, p.faqdesk_last_modified as product_last_modified, date_format(p.faqdesk_date_available, '%Y-%m-%d')
                                    as product_date_available, p.faqdesk_status as product_status, p.faqdesk_sticky as product_sticky from ".TABLE_FAQDESK." p,".TABLE_FAQDESK_DESCRIPTION." pd where p.faqdesk_id = '"
        . tep_db_input($faq_id) . "' and p.faqdesk_id = pd.faqdesk_id and pd.language_id = '" . (int)$FSESSION->languages_id . "'");
    if(tep_db_num_rows($product_query)>0) {
        $product = tep_db_fetch_array($product_query);
        $pInfo = new objectInfo($product);
    }

    $product=array();
    if(!$cID) $cID=$check_ID;
    $languages = tep_get_languages();
    switch ($pInfo->product_status) {
        case '0': $in_status = false; $out_status = true; break;
            case '1':
                default: $in_status = true; $out_status = false;
                }
                switch ($pInfo->product_sticky) {
                    case '0': $sticky_on = false; $sticky_off = true; break;
                        case '1': $sticky_on = true; $sticky_off = false; break;
                            default: $sticky_on = false; $sticky_off = true;
                            }

                            $panels=array('HEADLINE','SUMMARY','CONTENT','FAQIMAGES');
                            $default_panel='HEADLINE';
                            $jsData->VARS['storePage']=array('instructorPanel'=>$default_panel);
                            $jsData->VARS["updateMenu"]=",update,";
                            $display_mode_html=' style="display:none"';

                            echo tep_draw_form('new_product', 'cms_faq.php', '', 'post', 'enctype="multipart/form-data"');
                            ?>
    <input type="hidden" name="category_id" id="category_id" value="<?php echo tep_output_string($category_id);?>" />
    <input type="hidden" name="faq_id" id="faq_id" value="<?php echo tep_output_string($faq_id);?>" />
    <table border="0" width="100%" cellspacing="3" cellpadding="3">
        <tr height="320px">
            <td valign="top" width="150">
                <table border="0" cellpadding="0" cellspacing="0" class="boxRoundPanel">
                    <tr>
                        <td valign="top">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr height="7">
                                    <td class="tleft"></td>
                                    <td></td>
                                    <td class="tright"></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" class="mright">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <?php for ($icnt=0,$n=count($panels);$icnt<$n;$icnt++){ ?>
                                <tr>
                                    <td class="<?php echo ($default_panel==$panels[$icnt]?"productPanelSelect":"productPanel");?>" onclick="javscript:showPanelContent({id:'<?php echo $panels[$icnt];?>',className:'productPanel','type':'instructorPanel'});" id="instructorPanel<?php echo $panels[$icnt];?>menu">
                                        <?php
                                        echo "<a href='javascript:void(0);'><div>" . constant("TEXT_CATEGORY_" .$panels[$icnt]) . '</div></a>';
                                        $jsData->VARS["storePage"]["instructorPanelMenus"][$panels[$icnt]]=array('text'=>constant("TEXT_CATEGORY_" .$panels[$icnt]));
                                        ?>
                                    </td>
                                </tr>
                                <?php } ?>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%" class="bmiddle">
                                <tr height="7">
                                    <td class="bleft"></td>
                                    <td></td>
                                    <td class="bright"></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
            <td valign="top">
                <table border="0" cellpadding="5" cellspacing="0" width="100%">
                    <tr height="30">
                        <td class="headItemEdit" valign="top">
                            <?php echo tep_image(DIR_WS_IMAGES . '/template/gray_arrow_down.gif','','','','align=absmiddle');?>
                            <span id="instructorPanelTitle">
                                <?php echo constant("TEXT_CATEGORY_" . $default_panel);?>
                            </span>
                            <hr size="1" color="#D2D8E7"/>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%" class="productEditCol">
                                <tr id="instructorPanelHEADLINEview">
                                    <td width="50%" valign="top">
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr >
                                                <td class="pageHeading"><?php echo sprintf(TEXT_NEW_FAQDESK, faqdesk_output_generated_category_path($category_id)); ?></td>
                                                <td class="pageHeading" align="right"></td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr class="headerBar">
                                                <td class="headerBarContent"><?php echo TEXT_NEWSDESK_HEADLINE; ?></td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <?php for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { ?>
                                            <tr>
                                                <td class="main">
                                                    <?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']); ?>
                                                </td>
                                                <td class="main">
                                                    <?php $pro_name=(($faqdesk_article_name[$languages[$i]['id']]) ?stripslashes($faqdesk_article_name[$languages[$i]['id']]) : faqdesk_get_faqdesk_question($pInfo->faqdesk_id, $languages[$i]['id']));
                                                    echo tep_draw_input_field('product_name[' . $languages[$i]['id'] . ']', $pro_name , 'maxlength="64" size="50"'); ?>
                                                </td>
                                            </tr>
                                            <?php
                                        } //  ........... <<<< .............. end of products name language loop
                                        ?>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr class="headerBar">
                                                <td class="headerBarContent"><?php echo TEXT_FAQDESK_STATUS; ?></td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr>
                                                <td class="main">
                                                    <?php echo tep_draw_radio_field('product_status', '1', $in_status) . '&nbsp;' . TEXT_NEWSDESK_AVAILABLE; ?>
                                                    <?php echo tep_draw_radio_field('product_status', '0', $out_status) . '&nbsp;' . TEXT_NEWSDESK_NOT_AVAILABLE; ?>
                                                </td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr class="headerBar">
                                                <td class="headerBarContent"><?php echo TEXT_NEWSDESK_STICKY; ?></td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr>
                                                <td class="main">
                                                    <?php echo tep_draw_radio_field('product_sticky', '1', $sticky_on) . '&nbsp;' . TEXT_NEWSDESK_STICKY_ON; ?>
                                                    <?php echo tep_draw_radio_field('product_sticky', '0', $sticky_off) . '&nbsp;' . TEXT_NEWSDESK_STICKY_OFF; ?>
                                                </td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr class="headerBar">
                                                <td class="headerBarContent"><?php echo TEXT_DATE_FORMAT; ?>&nbsp;&nbsp;<small>(YYYY-MM-DD)</small></td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr>
                                                <td class="main" width="25%"><?php echo TEXT_NEWSDESK_START_DATE; ?></td>
                                                <td class="main">
                                                    <?php
                                                    $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
                                                    <?php echo tep_draw_input_field("product_date_available",(($pInfo->product_date_available)?format_date($pInfo->product_date_available):format_date($current_date)),"size=10",false,'text',false);?>
                                                    <a href="javascript:show_calendar('new_product.product_date_available',null,null,'<?php echo $date_format;?>');"
                                                       onmouseover="window.status='Date Picker';return true;"
                                                       onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>
                                                    </a>
                                                </td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr class="headerBar">
                                                <td class="headerBarContent"><?php echo TEXT_NEWSDESK_URL . '&nbsp;&nbsp;<small>' . TEXT_NEWSDESK_URL_WITHOUT_HTTP . '</small>'; ?></td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <?php for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { ?>
                                            <tr>
                                                <td class="main">
                                                    <?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']); ?>
                                                </td>
                                                <td class="main">
                                                    <?php
                                                    $pro_url=(($faqdesk_article_url[$languages[$i]['id']]) ? stripslashes($faqdesk_article_url[$languages[$i]['id']]) : faqdesk_get_faqdesk_extra_url($pInfo->faqdesk_id, $languages[$i]['id']));
                                                    echo tep_draw_input_field('product_url[' . $languages[$i]['id'] . ']', $pro_url , 'maxlength="255" size="45"'); ?>
                                                </td>
                                            </tr>
                                            <?php } // ........... <<<< .............. end of loop for article url?>

                                        </table>
                                    </td>
                                </tr>
                                <tr id="instructorPanelSUMMARYview" style="display:none">
                                    <td width="50%" valign="top">
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <?php
                                            for ($i = 0, $n = sizeof($languages); $i < $n; $i++) {
                                                ?>
                                            <tr>
                                                <td class="main" valign="top">
                                                    <?php
                                                    echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']);
                                                    ?>
                                                </td>
                                                <td class="main">
                                                    <?php
                                                    require(DIR_WS_INCLUDES . 'modules/faqdesk/html_editor/summary_bb.php');
                                                    ?>
                                                </td>
                                            </tr>
                                            <?php
                                        } // ........... <<<< .............. end of products description language loop
                                        ?>
                                        </table>
                                    </td>
                                </tr>
                                <tr id="instructorPanelCONTENTview" style="display:none">
                                    <td width="50%" valign="top">
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <?php for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { ?>

                                            <tr>
                                                <td class="main" valign="top">
                                                    <?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']); ?>
                                                </td>
                                                <td class="main">
                                                    <?php

                                                    require(DIR_WS_INCLUDES . 'modules/faqdesk/html_editor/content_bb.php');
                                                    ?>
                                                </td>
                                            </tr>
                                            <?php } // ........... <<<< .............. end of products description language loop
                                        ?>
                                        </table>
                                    </td>
                                </tr>

                                <tr id="instructorPanelFAQIMAGESview" style="display:none">
                                    <td width="50%" valign="top">

                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr>
                                                <td>
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '5'); ?>
                                                </td>
                                            </tr>
                                            <tr class="main">
                                                <td class="" colspan="2"><?php echo TEXT_NEWSDESK_IMAGE_ONE; ?></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '5'); ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    echo faqdesk_draw_file_field('product_image_file', 'size="40"');
                                                    echo tep_draw_hidden_field(('product_image'),$pInfo->product_image);
                                                    ?>
                                                </td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <?php for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { ?>
                                            <tr class="">
                                                <td class="main" colspan="2"><?php echo TEXT_NEWSDESK_IMAGE_SUBTITLE; ?></td>
                                            </tr>
                                            <tr>
                                                <td class="main">
                                                    <?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']); ?>
                                                </td>
                                                <td class="main">
                                                    <?php
                                                    $pro_image_text=(($faqdesk_image_text[$languages[$i]['id']]) ? stripslashes($faqdesk_image_text[$languages[$i]['id']]) : faqdesk_get_faqdesk_image_text($pInfo->faqdesk_id, $languages[$i]['id']));
                                                    echo tep_draw_input_field('product_image_text[' . $languages[$i]['id'] . ']', $pro_image_text, 'size="50"'); ?>
                                                </td>
                                            </tr>
                                            <?php
                                        } //  ........... <<<< .............. end of faqdesk_image_text loop
                                        ?>
                                        </table>
                                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    echo tep_draw_hidden_field('products_previous_image', $pInfo->faqdesk_image);
                                                    if($pInfo->faqdesk_image)
                                                    echo tep_image(DIR_WS_CATALOG_IMAGES . $pInfo->faqdesk_image);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    if($pInfo->faqdesk_image)
                                                    echo $pInfo->faqdesk_image;
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="headerBar">
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '1'); ?>
                                                </td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr>
                                                <td>
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '5'); ?>
                                                </td>
                                            </tr>
                                            <tr class="main">
                                                <td class="main" colspan="2"><?php echo TEXT_NEWSDESK_IMAGE_TWO; ?></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '5'); ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    echo faqdesk_draw_file_field('product_image_two_file', 'size="40"');
                                                    echo tep_draw_hidden_field(('product_image_two'),$pInfo->product_image_two);?>
                                                </td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <?php for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { ?>
                                            <tr>
                                                <td class="main" colspan="2"><?php echo TEXT_NEWSDESK_IMAGE_SUBTITLE_TWO; ?></td>
                                            </tr>
                                            <tr>
                                                <td class="main">
                                                    <?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']); ?>
                                                </td>
                                                <td class="main">
                                                    <?php

                                                    $pro_image_text_two=(($faqdesk_image_text_two[$languages[$i]['id']]) ?stripslashes($faqdesk_image_text_two[$languages[$i]['id']]) : faqdesk_get_faqdesk_image_text_two($pInfo->faqdesk_id, $languages[$i]['id']));
                                                    echo tep_draw_input_field('product_image_text_two[' . $languages[$i]['id'] . ']', $pro_image_text_two , 'size="50"'); ?>
                                                </td>
                                            </tr>
                                            <?php
                                        } //  ........... <<<< .............. end of faqdesk_image_text_two loop
                                        ?>
                                        </table>
                                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    echo tep_draw_hidden_field('products_previous_image_two', $pInfo->faqdesk_image_two);
                                                    if($pInfo->faqdesk_image_two)
                                                    echo tep_image(DIR_WS_CATALOG_IMAGES . $pInfo->faqdesk_image_two);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    if($pInfo->faqdesk_image_two)
                                                    echo $pInfo->faqdesk_image_two;
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="headerBar">
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '1'); ?>
                                                </td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <tr>
                                                <td>
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '5'); ?>
                                                </td>
                                            </tr>
                                            <tr class="main">
                                                <td class="" colspan="2"><?php echo TEXT_NEWSDESK_IMAGE_THREE; ?></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '5'); ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    echo faqdesk_draw_file_field('product_image_three_file', 'size="40"');
                                                    echo tep_draw_hidden_field(('product_image_three'),$pInfo->product_image_three);
                                                    ?>
                                                </td>
                                            </tr>
                                        </table>
                                        <table border="0" width="100%" cellspacing="3" cellpadding="3">
                                            <?php for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { ?>
                                            <tr>
                                                <td class="main" colspan="2"><?php echo TEXT_NEWSDESK_IMAGE_SUBTITLE_THREE; ?></td>
                                            </tr>
                                            <tr>
                                                <td class="main">
                                                    <?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']); ?>
                                                </td>
                                                <td class="main">
                                                    <?php
                                                    $pro_image_text_three=(($faqdesk_image_text_three[$languages[$i]['id']]) ?stripslashes($faqdesk_image_text_three[$languages[$i]['id']]) : faqdesk_get_faqdesk_image_text_three($pInfo->faqdesk_id, $languages[$i]['id']));
                                                    echo tep_draw_input_field('product_image_text_three[' . $languages[$i]['id'] . ']',$pro_image_text_three , 'size="50"'); ?>
                                                </td>
                                            </tr>
                                            <?php
                                        } //  ........... <<<< .............. end of faqdesk_image_text_three loop
                                        ?>
                                        </table>
                                        <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    echo tep_draw_hidden_field('products_previous_image_three', $pInfo->faqdesk_image_three);
                                                    if($pInfo->faqdesk_image_three)
                                                    echo tep_image(DIR_WS_CATALOG_IMAGES . $pInfo->faqdesk_image_three);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    if($pInfo->faqdesk_image_three)
                                                    echo $pInfo->faqdesk_image_three;
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

</form> 
<?php 
$jsData->VARS['updateMenu']=',update,';

}

function doCmsFaqUpdate()
{
global $FREQUEST,$FSESSION,$jsData,$SERVER_DATE;

$faq_id=$FREQUEST->postvalue('faq_id','int',0);
$cID=$FREQUEST->postvalue('category_id','int',0);
$insert=true;

$pID = tep_db_prepare_input($faq_id);
  if ($cID>0 && $pID< 0){
 			$jsData->VARS['storePage']['opened']['cfq']=array("id"=>$cID,"get"=>"Info","result"=>doDisplayResult,"type"=>"cfq","params"=>"rID=$cID","style"=>"boxLevel1");
       			}
$product_date_available = ($FREQUEST->postvalue('product_date_available'))?tep_db_prepare_input($FREQUEST->postvalue('product_date_available')):$SERVER_DATE;					
$sql_data_array = array(					
    faqdesk_date_available => tep_convert_date_raw($product_date_available),
    faqdesk_status => tep_db_prepare_input($FREQUEST->postvalue('product_status')),
    faqdesk_sticky => tep_db_prepare_input($FREQUEST->postvalue('product_sticky')),
    faqdesk_image=>$FREQUEST->postvalue('product_image'),
    faqdesk_image_two=>$FREQUEST->postvalue('product_image_two'),
    faqdesk_image_three=>$FREQUEST->postvalue('product_image_three')
);						
if ($pID<0) {

    $insert_sql_data = array(faqdesk_date_added => $SERVER_DATE);
    $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
    tep_db_perform(TABLE_FAQDESK, $sql_data_array);
    $pID = tep_db_insert_id();
    tep_db_query("insert into " . TABLE_FAQDESK_TO_CATEGORIES . " (faqdesk_id, categories_id) values ('" . $pID . "', '" . $cID . "')");
} elseif ($pID>0) {
    $insert=false;
    $update_sql_data = array(faqdesk_last_modified => $SERVER_DATE);
    $sql_data_array = array_merge($sql_data_array, $update_sql_data);
    tep_db_perform(TABLE_FAQDESK, $sql_data_array, 'update', "faqdesk_id = '" . tep_db_input($pID) . "'");
}			
$languages = tep_get_languages();
for ($i = 0, $n = sizeof($languages); $i < $n; $i++) {
    $language_id = $languages[$i]['id'];
    $description = '';
    $shorttext = '';
    $faqdesk_answer_long=$FREQUEST->postvalue('faqdesk_answer_long');
    $faqdesk_answer_short=$FREQUEST->postvalue('faqdesk_answer_short');
    $description = $faqdesk_answer_long[$language_id][0];
    $shorttext = $faqdesk_answer_short[$language_id][0];

    $product_name=$FREQUEST->postvalue('product_name');
    $product_url=$FREQUEST->postvalue('product_url');
    $product_image_text=$FREQUEST->postvalue('product_image_text');
    $product_image_text_two=$FREQUEST->postvalue('product_image_text_two');
    $product_image_text_three=$FREQUEST->postvalue('product_image_text_three');

    $product_name_display=$product_name[$language_id];
    $sql_data_array = array(
        faqdesk_question => tep_db_prepare_input($product_name[$language_id]),
        faqdesk_answer_long => tep_db_prepare_input($description),
        faqdesk_answer_short => tep_db_prepare_input($shorttext),
        faqdesk_extra_url => tep_db_prepare_input($product_url[$language_id]),
        faqdesk_image_text => tep_db_prepare_input($product_image_text[$language_id]),
        faqdesk_image_text_two => tep_db_prepare_input($product_image_text_two[$language_id]),
        faqdesk_image_text_three => tep_db_prepare_input($product_image_text_three[$language_id]),
    );
    if ($pID<0) {
        $insert_sql_data = array(
            faqdesk_id => $pID,
"language_id" => $language_id
        );
        $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
        tep_db_perform(TABLE_FAQDESK_DESCRIPTION, $sql_data_array);
    } elseif ($pID>0){
        $check_sql = "select count(*) as count from " . TABLE_FAQDESK_DESCRIPTION . " where faqdesk_id = '" . tep_db_input($pID) . "' and language_id = '" . (int)$language_id . "'";
        $check_query = tep_db_query($check_sql);
        $check_result = tep_db_fetch_array($check_query);
        if($check_result['count']>0)
        tep_db_perform(TABLE_FAQDESK_DESCRIPTION, $sql_data_array, 'update', "faqdesk_id = '" . tep_db_input($pID) . "' and language_id = '" . (int)$language_id . "'");
        else{
            $insert_sql_data = array(
                faqdesk_id => $pID,
"language_id" => $language_id
            );
            $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
            tep_db_perform(TABLE_FAQDESK_DESCRIPTION, $sql_data_array);
        }
    }
}


if ($insert) {
    $this->doCmsFaq($cID);
} else {
    $jsData->VARS["replace"]=array('prd'. $pID . "name"=>$product_name_display);
    $jsData->VARS["prevAction"]=array('id'=>$pID,'get'=>'doCmsFaqInfo','type'=>$this->type,'style'=>'boxRow');
    $this->doCmsFaqInfo($pID);
    $jsData->VARS["updateMenu"]=",normal,";
}

}

function doCmsFaqInfo($faq_id=0)
{

global $FREQUEST,$jsData,$FSESSION;


if($faq_id <= 0)$faq_id=$FREQUEST->getvalue("rID","int",0);
$faq_query = tep_db_query("select n.faqdesk_id,nd.faqdesk_question as product_name,nd.faqdesk_answer_long as product_description,date_format(n.faqdesk_date_added,'%Y-%m-%d') as product_date_added,date_format(n.faqdesk_last_modified,'%Y-%m-%d') as product_last_modified, date_format(n.faqdesk_date_available,'%Y-%m-%d') as product_date_available,n.faqdesk_image as product_image, n.faqdesk_status as product_status, n.faqdesk_sticky as product_sticky from " . TABLE_FAQDESK . " n,".TABLE_FAQDESK_DESCRIPTION." nd where n.faqdesk_id=nd.faqdesk_id and n.faqdesk_id = '" . tep_db_input($faq_id) . "' and nd.language_id='".(int)$FSESSION->languages_id."'");

if (tep_db_num_rows($faq_query)>0){
    $faq = tep_db_fetch_array($faq_query);


    if($faq['product_last_modified']=='0000-00-00')
    {
        $featured_date_data='<tr class="main"><td><b>'.TEXT_DATE_ADDED.'</b>' . tep_draw_separator('pixel_trans.gif',30,20) . format_date($faq["product_date_added"]).'</td></tr>';
    }
    else
    {

        $featured_date_data='<tr class="main"><td><b>'.TEXT_DATE_ADDED.'</b>' . tep_draw_separator('pixel_trans.gif',30,20) . format_date($faq["product_date_added"]).'</td></tr>'.'<tr class="main"><td><b>'.TEXT_LAST_MODIFIED.'</b>' . tep_draw_separator('pixel_trans.gif',18,20) . format_date($faq["product_last_modified"]).'</td></tr>';
    }
    $template=getCmsInfoTemplate($featured_id);
    $rep_array=array(	"TYPE"=>$this->type,
    "ID"=>$faq["faqdesk_id"],
    "IMAGE_WIDTH"=>SMALL_IMAGE_WIDTH,
    "IMAGE"=>tep_product_small_image($faq["product_image"],$faq["product_name"]),
    "DATE_ADDED"=>$featured_date_data,
    'DATE_AVAILABLE'=>'<b>'.TEXT_DATE_AVAILABLE.'</b>'.tep_draw_separator('pixel_trans.gif',9,20).format_date($faq['product_date_available'])
    );
    echo mergeTemplate($rep_array,$template);
    $jsData->VARS["updateMenu"]=",normal,";
    
}
else {
    echo 'Err:' . TEXT_LOCATION_NOT_FOUND;
}




}
function doCmsFaqList($where='',$category_id=0,$search='')
{
global $FSESSION,$FREQUEST,$jsData;
$page=$FREQUEST->getvalue('page','int',1);
$query_split=false;
define('TEXT_RECORDS','Cms Faqs');
$products_sql = "select p.faqdesk_id, pd.faqdesk_question as product_name 
,p.faqdesk_status as product_status,p.faqdesk_sticky  from " . TABLE_FAQDESK . " p, " 
. TABLE_FAQDESK_DESCRIPTION . " pd, " . TABLE_FAQDESK_TO_CATEGORIES . " p2c where p.faqdesk_id = pd.faqdesk_id and pd.language_id = '" 
. (int)$FSESSION->languages_id . "' and p.faqdesk_id = p2c.faqdesk_id and p2c.categories_id = '" . (int)$category_id ."' order by 
pd.faqdesk_question";										

$maxRows=$FSESSION->get('displayRowsCnt');
if ($this->pagination && $maxRows!=-1){
    $query_split=$this->splitResult = &instance::getSplitResult('OPTIONS');
    $query_split->maxRows=$maxRows;
    $query_split->parse($page,$products_sql);
    if ($query_split->queryRows > 0){
        $query_split->pageLink="doPageAction({'id':-1,'type':'prd','pageNav':true,'closePrev':true,'get':'CmsFaq','result':doTotalResult,params:'cID=". $category_id ."&page='+##PAGE_NO##,'message':'" . sprintf(INFO_LOADING_FAQS,'##PAGE_NO##') . "'})";

    }
}
$sql_query=tep_db_query($products_sql);

$found=false;
if (tep_db_num_rows($sql_query)>0) $found=true;
if($found)
{
    $template=getCmsFaqListTemplate();
    $icnt=1;
    while($sql_result=tep_db_fetch_array($sql_query)){
        $rep_array=array(	"ID"=>$sql_result["faqdesk_id"],
        "CID"=>$category_id,
        "AID"=>$sql_result["association_id"],
        "TYPE"=>'prd',
        "NAME"=>$sql_result["product_name"],
        "IMAGE_PATH"=>DIR_WS_IMAGES,
        "STATUS"=>'<a href="javascript:void(0)" onclick="javascript:doSimpleAction({id:'. $sql_result["faqdesk_id"] .",get:'SetFlag',result:doSimpleResult,params:'pID=". $sql_result["faqdesk_id"] . "&status=" .($sql_result["product_status"]==1?0:1) . "'});\">" . tep_image(DIR_WS_IMAGES . 'template/' . ($sql_result["product_status"]==1?'icon_active.gif':'icon_inactive.gif')) . '</a>',
        "UPDATE_RESULT"=>'doDisplayResult',
        "ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
        "ROW_CLICK_GET"=>'CmsFaqInfo',
        "FIRST_MENU_DISPLAY"=>""
        );
        echo mergeTemplate($rep_array,$template);
        $icnt++;
    }}

if (!isset($jsData->VARS["Page"])){
    $jsData->VARS["NUclearType"][]='prd';
    
} 
return $found;			
}
function doCmsFaq($category_id=0)
{
global $FREQUEST,$jsData;


if ($category_id==0)
{
    if($FREQUEST->getValue('cID'))
    $category_id=$FREQUEST->getValue('cID','int',0);
}


$template=getCmsFaqListTemplate();
$rep_array=array(	"CID"=>$category_id,
"TYPE"=>"prd",
"ID"=>-1,
"NAME"=>TEXT_NEW_FAQ,
"IMAGE_PATH"=>DIR_WS_IMAGES,
"SEARCH_NEEDED"=>"display:normal",
"UPDATING_ORDER"=>TEXT_UPDATING_ORDER,
"STATUS"=>tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif'),
"STATUS_STICKY"=>'',
"UPDATE_RESULT"=>'doTotalResult',
"ROW_CLICK_GET"=>'CmsFaqEdit',
"FIRST_MENU_DISPLAY"=>"display:none",
"EDIT_MENU_DISPLAY"=>"display:none",
"FLAG_ONE_RECORD"=>''
);
?>
<div class="main" id="prd-1message"></div>
<table border="0" width="100%" height="100%" id="prdTable">
    <tr>
        <td><?php 	echo mergeTemplate($rep_array,$template); ?>
        </td>
    </tr>
    <tr>
        <td><?php 	$this->doCmsFaqList(" ",$category_id); ?>
        </td>
    </tr>
</table>
<?php
if ($this->splitResult && $this->splitResult->queryRows>0){ ?>
<table border="0" width="100%" height="100%">
    <?php echo $this->splitResult->pgLinksCombo(); ?>
</table><?php 
}


}
function doCategoryInfo($categories_id=0)
{

global $FREQUEST,$jsData,$FSESSION;


if($categories_id <= 0)$categories_id=$FREQUEST->getvalue("rID","int",0);
$product_query=tep_db_query("select c.parent_id,date_format(c.date_added,'%Y-%m-%d') as date_added,date_format(c.last_modified,'%Y-%m-%d') as last_modified,cd.categories_id,cd.categories_name,c.sort_order,c.catagory_status,c.categories_image from ".TABLE_FAQDESK_CATEGORIES." c,".TABLE_FAQDESK_CATEGORIES_DESCRIPTION." cd where c.categories_id=cd.categories_id and cd.language_id='".(int)$FSESSION->languages_id."' and c.categories_id='".(int)$categories_id."'");

if (tep_db_num_rows($product_query)>0){
    $product = tep_db_fetch_array($product_query);


    if($product['last_modified']=='0000-00-00')
    {
        $featured_date_data='<tr class="main"><td><b>'.TEXT_DATE_ADDED.'</b>' . tep_draw_separator('pixel_trans.gif',30,20) . format_date($product["date_added"]).'</td></tr>';
    }
    else
    {

        $featured_date_data='<tr class="main"><td><b>'.TEXT_DATE_ADDED.'</b>' . tep_draw_separator('pixel_trans.gif',30,20) . format_date($product["date_added"]).'</td></tr>'.'<tr class="main"><td><b>'.TEXT_LAST_MODIFIED.'</b>' . tep_draw_separator('pixel_trans.gif',18,20) . format_date($product["last_modified"]).'</td></tr>';
    }
    $template=getCategoryInfoTemplate($featured_id);
    $rep_array=array(	"TYPE"=>$this->type,
    "ID"=>$product["categories_id"],
    "IMAGE_WIDTH"=>SMALL_IMAGE_WIDTH,
    "IMAGE"=>tep_product_small_image($product["categories_image"],$product["categories_name"]),
    "DATE_ADDED"=>$featured_date_data,
    );
    echo mergeTemplate($rep_array,$template);
    $jsData->VARS["updateMenu"]=",normal,";
    
}
else {
    echo 'Err:' . TEXT_LOCATION_NOT_FOUND;
}


}

function doInfo($category_id=0){
global $FREQUEST,$FSESSION,$jsData;
if ($category_id==0) $category_id=$FREQUEST->getvalue("rID","int",0);
?>
<table border="0" cellpadding="1" cellspacing="0" width="100%">
    <tr>
        <td valign="top" style="border-top:solid 1px #C6CEEA;height:5px" class="smallText">&nbsp;</td>
    </tr>
    <tr>
        <td valign="top" class="categoryInfo">
            <?php
            echo $this->doCategoryInfo($category_id);
            ?>
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr height="20">
                    <td valign="top">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr>
                                <td class="bulletTitle" valign="middle">
                                    <?php echo tep_image(DIR_WS_IMAGES . 'layout/bullet1.gif','','','','align=absmiddle') . '&nbsp;' .HEADING_NEW_FAQ;?>
                                </td>
                                <td class="main" width="100">
                                </td>
                                <td width="20"></td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="padding-right:10px">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" class="boxLevel2">
                        <tr height="4">
                            <td class="topleft"></td>
                            <td></td>
                            <td class="topright"></td>
                        </tr>
                        <tr>
                            <td width="4"></td>
                            <td style="padding:5px">
                                <div id="prdtotalContentResult">
                                    <?php
                                    echo $this->doCmsFaq($category_id);
                                    ?>
                                </div>
                            </td>
                            <td width="4"></td>
                        </tr>
                        <tr height="4">
                            <td class="botleft"></td>
                            <td></td>
                            <td class="botright"></td>
                        </tr>
                    </table>
                    <td>
                </tr>
                <tr height="10">
                    <td></td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<?php

}			

function doDelete(){
global $FREQUEST,$jsData;
$categories_id=$FREQUEST->postvalue('category_id','int',0);

if ($categories_id>0){
    $jsData->VARS['doFunc']=array('type'=>'cfq','data'=>'removeSearchValue');
    $categories = faqdesk_get_category_tree($categories_id, '', '0', '', true);
    $products = array();
    $products_delete = array();
    for ($i = 0, $n = sizeof($categories); $i < $n; $i++) {
        $product_ids_query = tep_db_query("select faqdesk_id from " . TABLE_FAQDESK_TO_CATEGORIES . " where categories_id = '" . $categories[$i]['id'] . "'");
        while ($product_ids = tep_db_fetch_array($product_ids_query)) {
            $products[$product_ids["faqdesk_id"]]['categories'][] = $categories[$i]['id'];
        }
    }
    reset($products);
    while (list($key, $value) = each($products)) {
        $category_ids = '';
        for ($i = 0, $n = sizeof($value['categories']); $i < $n; $i++) {
            $category_ids .= '\'' . $value['categories'][$i] . '\', ';
        }
        $category_ids = substr($category_ids, 0, -2);

        $check_query = tep_db_query("select count(*) as total from " . TABLE_FAQDESK_TO_CATEGORIES . " where faqdesk_id = '" . tep_db_input($key) . "' and categories_id not in (" . $category_ids . ")");
        $check = tep_db_fetch_array($check_query);
        if ($check['total'] < '1') {
            $products_delete[$key] = $key;
        }
    }

    // Removing categories can be a lengthy process
    tep_set_time_limit(0);
    for ($i = 0, $n = sizeof($categories); $i < $n; $i++) {
        faqdesk_remove_category($categories[$i]['id']);
    }

    reset($products_delete);
    while (list($key) = each($products_delete)) {
        faqdesk_remove_product($key);
    }






    $this->doCategory();
    $jsData->VARS["displayMessage"]=array('text'=>TEXT_CATEGORY_DELETED_SUCCESS);
    tep_reset_seo_cache('options');
} else {
    echo "Err:" . TEXT_INSTRUCTOR_OPTIONS_NOT_DELETED;
}

}

function doCategoryDelete(){
global $FREQUEST,$jsData;
$category_id=$FREQUEST->getvalue('rID','int',0);

$delete_message='<p><span class="smallText">' . TEXT_DELETE_CATEGORY_INTRO. '</span>';
?>
<form  name="<?php echo $this->type;?>DeleteSubmit" id="<?php echo $this->type;?>DeleteSubmit" action="cms_faq.php" method="post" enctype="application/x-www-form-urlencoded">
    <input type="hidden" name="category_id" value="<?php echo tep_output_string($category_id);?>"/>
    <table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr>
            <td class="main" id="<?php echo $this->type . $category_id;?>message">
            </td>
        </tr>
        <tr>
            <td class="main">
                <?php echo $delete_message;?>
            </td>
        </tr>
        <tr height="40">
            <td class="main" style="vertical-align:bottom">
                <p>
                <a href="javascript:void(0);" onClick="javascript:return doUpdateAction({id:<?php echo $category_id;?>,type:'<?php echo $this->type;?>','refresh':'1',get:'Delete',result:doTotalResult,message:page.template['PRD_DELETING'],'uptForm':'<?php echo $this->type;?>DeleteSubmit','imgUpdate':false,params:''})"><?php echo tep_image_button('button_delete.gif');?></a>&nbsp;
                <a href="javascript:void(0);" onClick="javascript:return doCancelAction({id:<?php echo $category_id;?>,type:'<?php echo $this->type;?>',get:'closeRow','style':'boxRow'})"><?php echo tep_image_button('button_cancel.gif');?></a>
            </td>
        </tr>
        <tr>
            <td><hr/></td>
        </tr>
        <tr>
            <td valign="top" class="categoryInfo"><?php
                $category_childs = faqdesk_childs_in_category_count($category_id);
                $category_products =faqdesk_products_in_category_count($category_id);
                if ($category_childs > 0) echo '<tr><td></td><td class="main">' . sprintf(TEXT_DELETE_WARNING_CHILDS, $category_childs).'</td></tr>';
                if ($category_products > 0) echo '<tr><td></td><td class="main">'. sprintf(TEXT_DELETE_WARNING_NEWSDESK, $category_products).'</td></tr>';

                ?></td>
        </tr>
    </table>
</form>
<?php
$jsData->VARS["updateMenu"]="";
}

function doCategory(){
global $FREQUEST,$jsData;

$template=getCategoryListTemplate();
$rep_array=array(	"TYPE"=>$this->type,
    "PAD_LEFT"=>0,
    "ID"=>-1,
    "BULLET_IMAGE"=>tep_image(DIR_WS_IMAGES . 'layout/bullet_close.gif'),
    "NAME"=>HEADING_NEW_TITLE,
    "IMAGE_PATH"=>DIR_WS_IMAGES,
    "STATUS"=>tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif'),
    "UPDATE_RESULT"=>'doTotalResult',
    "ROW_CLICK_GET"=>'CategoryEdit',
    "FIRST_MENU_DISPLAY"=>"display:none"
);

?>
<div class="main" id="cfq-1message"></div>
<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
    <?php 	echo mergeTemplate($rep_array,$template);
    $this->doCategoryList();?>
</table>
<?php if (is_object($this->splitResult)){?>
<table border="0" width="100%" height="100%">
    <?php echo $this->splitResult->pgLinksCombo(); ?>
</table>
<?php }


}
function doCategoryList($where='',$parent_id=0,$search='',$level=1){
global $FSESSION,$FREQUEST,$jsData;
$page=$FREQUEST->getvalue('page','int',1);

if($search!='')
{

$products_sql = "select  p2c.categories_id from " . TABLE_FAQDESK . " p, " 	. TABLE_FAQDESK_DESCRIPTION . " pd, " . TABLE_FAQDESK_TO_CATEGORIES . " p2c where p.faqdesk_id = pd.faqdesk_id and pd.language_id = '" 
. (int)$FSESSION->languages_id . "' and p.faqdesk_id = p2c.faqdesk_id and pd.faqdesk_question like '%" . $search ."%' order by
pd.faqdesk_question";

$product_query=tep_db_query($products_sql);

if(tep_db_num_rows($product_query))
{
    while($product_array=tep_db_fetch_array($product_query))
    {
        $where.='|| cd.categories_id='.$product_array["categories_id"];

        $sql_query=tep_db_query("select parent_id from ". TABLE_FAQDESK_CATEGORIES ." where categories_id= ".$product_array["categories_id"]);

        if(tep_db_num_rows($sql_query))
        {
            $sql_array=tep_db_fetch_array($sql_query);
            $where.='|| cd.categories_id='.$sql_array["parent_id"];
        }
    }
}

$c_query = tep_db_query("select categories_id from ". TABLE_FAQDESK_CATEGORIES_DESCRIPTION . " where categories_name like'%".$search."%'");

while($c_array=tep_db_fetch_array($c_query))
{

        $sql_query_cate=tep_db_query("select parent_id from ". TABLE_FAQDESK_CATEGORIES ." where categories_id= ".$c_array["categories_id"]);

        if(tep_db_num_rows($sql_query_cate))
        {
            $sql_array_cate=tep_db_fetch_array($sql_query_cate);
            $where.='|| cd.categories_id='.$sql_array_cate["parent_id"];
        }
}


}
if($where!='')
{ 
$where.=' ) and ';
}
$query_split=false;
$categories_sql = "select c.categories_id, cd.categories_name, c.categories_image, c.parent_id, c.sort_order, c.date_added, c.last_modified, c.catagory_status from " . TABLE_FAQDESK_CATEGORIES. " c, " . TABLE_FAQDESK_CATEGORIES_DESCRIPTION . " cd where ".$where." c.parent_id='".$parent_id."' and c.categories_id = cd.categories_id and cd.language_id = '" . (int)$FSESSION->languages_id . "' order by c.sort_order";


$categories_query=tep_db_query($categories_sql);


$found=false;
if (tep_db_num_rows($categories_query)>0) $found=true;

$template=getCategoryListTemplate();
$icnt=1;


$cnt=0;
$pos=0;
while($sql_result=tep_db_fetch_array($categories_query)){
$rep_array=array(
    "BULLET_IMAGE"=>tep_image(DIR_WS_IMAGES . 'layout/bullet_close.gif'),
    "PAD_LEFT"=>$level*10,
    "ID"=>$sql_result["categories_id"],
    "CAT_PARENT"=>$parent_id,
    "TYPE"=>$this->type,
    "NAME"=>$sql_result["categories_name"],
    "NAME_MOVE"=>tep_db_input($sql_result["categories_name"]),
    "UPDATING_ORDER"=>TEXT_UPDATING_ORDER,
    "IMAGE_PATH"=>DIR_WS_IMAGES,
    "STATUS"=>'<a href="javascript:void(0)" onclick="javascript:doSimpleAction({id:'. $sql_result["categories_id"] .",get:'SetFlag',result:doSimpleResult,params:'cID=". $sql_result["categories_id"] . "&status=" .($sql_result["catagory_status"]==1?0:1) . "'});\">" . tep_image(DIR_WS_IMAGES . 'template/' . ($sql_result["catagory_status"]==1?'icon_active.gif':'icon_inactive.gif')) . '</a>',
    "UPDATE_RESULT"=>'doDisplayResult',
    "ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
    "ROW_CLICK_GET"=>'Info',
    "FIRST_MENU_DISPLAY"=>""
);


echo mergeTemplate($rep_array,$template);

$icnt++;

$temp_cnt=$this->doCategoryList('',$sql_result["categories_id"],'',$level+1);
if ($temp_cnt>0) $cnt+=$temp_cnt;
else $cnt++;
if (isset($jsData->VARS["page"])){
    $jsData->VARS["page"]["treeList"][$sql_result["categories_id"]]["pos"]=$pos;
    $jsData->VARS["page"]["treeList"][$sql_result["categories_id"]]["parent"]=$parent_id;
    $jsData->VARS["page"]["treeList"][$sql_result["categories_id"]]["level"]=$level;
} else {
    $jsData->VARS["storePage"]["treeList"][$sql_result["categories_id"]]["pos"]=$pos;
    $jsData->VARS["storePage"]["treeList"][$sql_result["categories_id"]]["parent"]=$parent_id;
    $jsData->VARS["storePage"]["treeList"][$sql_result["categories_id"]]["level"]=$level;
}
$pos++;
}
if (isset($jsData->VARS["page"])){
$jsData->VARS["page"]["treeList"]["level" . $level]=$cnt;
$jsData->VARS["page"]["treeList"][$parent_id]["totalchilds"]=$cnt;
$jsData->VARS["page"]["treeList"][$parent_id]["childs"]=$pos;
} else {
$jsData->VARS["storePage"]["treeList"]["level" . $level]=$cnt;
$jsData->VARS["storePage"]["treeList"][$parent_id]["totalchilds"]=$cnt;
$jsData->VARS["storePage"]["treeList"][$parent_id]["childs"]=$pos;
}


return $cnt;


}
function doCategoryUpdate()
{
global $FREQUEST,$jsData,$LANGUAGES,$SERVER_DATE;

$category_id=$FREQUEST->postvalue("category_id","int",0);
$categories_image=$FREQUEST->postvalue('categories_image');

$insert=true;
if ($category_id>0) $insert=false;



$sort_query=tep_db_query("select max(sort_order) as sort_order from ".TABLE_FAQDESK_CATEGORIES);
if(tep_db_num_rows($sort_query)>0){
$sort=tep_db_fetch_array($sort_query);
$sort_order = $sort['sort_order']+1;
}

$sql_data_array = array('sort_order' => $sort_order, 'catagory_status' => 1);


if ($insert) { 
$insert_sql_data = array(
'categories_image'=>$categories_image,
'parent_id' => $category_id,
'date_added' => $SERVER_DATE
);


$sql_data_array = array_merge($sql_data_array, $insert_sql_data);
tep_db_perform(TABLE_FAQDESK_CATEGORIES, $sql_data_array);
$insert_id = tep_db_insert_id();												
} 

else{
$update_sql_data = array('last_modified' => $SERVER_DATE,
     'categories_image'=>$categories_image);
$sql_data_array = array_merge($sql_data_array, $update_sql_data);
tep_db_perform(TABLE_FAQDESK_CATEGORIES, $sql_data_array, 'update', 'categories_id = \'' . tep_db_input($category_id) . '\'');				
} 

for ($i = 0, $n = sizeof($LANGUAGES); $i < $n; $i++) {
$categories_name_array = $FREQUEST->postvalue('categories_name');


$language_id = $LANGUAGES[$i]['id'];
$categories_name=$categories_name_array[$language_id];

$sql_data_array = array('categories_name' => tep_db_prepare_input($categories_name_array[$language_id]));


// top if

if ($insert) {
    $insert_sql_data = array(
'categories_id' => $insert_id,
'language_id' => $LANGUAGES[$i]['id']
    );
    $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
    tep_db_perform(TABLE_FAQDESK_CATEGORIES_DESCRIPTION, $sql_data_array);
} else
tep_db_perform(TABLE_FAQDESK_CATEGORIES_DESCRIPTION, $sql_data_array, 'update', 'categories_id = \'' . $category_id . '\' and language_id = \'' . $LANGUAGES[$i]['id'] . '\'');
}



if ($insert) {
$this->doCategory();
} else {
$jsData->VARS["replace"]=array($this->type. $category_id . "name"=>$categories_name);
$jsData->VARS["prevAction"]=array('id'=>$category_id,'get'=>'Info','type'=>$this->type,'style'=>'boxRow');
$this->doInfo($category_id);
$jsData->VARS["updateMenu"]=",normal,";
}
}


}function getCategoryListTemplate(){
ob_start();

?>		<tr id="##TYPE####ID##row">
    <td style="padding-left:##PAD_LEFT##px">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##" class="boxLevel1" onmouseover="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxLevel1','changeStyle':'Hover'}}]);" onmouseout="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxLevel1'}}]);">
            <tr>
                <td class="head" valign="middle" height="25px">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%">
                        <tr><td width="2%"></td>
                            <td width="2%" id="##TYPE####ID##bullet2">##BULLET_IMAGE##</td>
                            <td width="2%" id="##TYPE####ID##bullet">##STATUS##</td>
                            <td width="30" align="center" class="boxRowMenu">
                                <span  style="##FIRST_MENU_DISPLAY##">
                                    <a href="javascript:void(0);" onClick="javascript:doSimpleAction({'id':##ID##,'get':'CategorySort','result':doSimpleResult,mode:'up',type:'cfq',params:'cID=##ID##&mode=up&parent=##CAT_PARENT##',validate:sortCatValidate,'style':'boxLevel1','message':'##UPDATING_ORDER##'})"><img src="##IMAGE_PATH##/template/img_arrow_up.gif"  title="Up" align="absmiddle"/></a>
                                    <a href="javascript:void(0);" onClick="javascript:doSimpleAction({'id':##ID##,'get':'CategorySort','result':doSimpleResult,mode:'down',type:'cfq',params:'cID=##ID##&mode=down&parent=##CAT_PARENT##',validate:sortCatValidate,'style':'boxLevel1','message':'##UPDATING_ORDER##'})"><img src="##IMAGE_PATH##/template/img_arrow_down.gif" title="Down"/></a>
                                </span>
                            </td>
                            <td align="left" width="70%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxlevel1','type':'##TYPE##','params':'rID=##ID##','style':'boxlevel1'});"  style="cursor:pointer;cursor:hand" id="##TYPE####ID##name">##NAME##</td>
                            <td  width="20%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
                                <span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
                                    <a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'CategoryEdit','result':doDisplayResult,'style':'boxlevel1','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
                                    <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                                    <a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'CategoryDelete','result':doDisplayResult,'style':'boxlevel1','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif" title="Delete"/></a>
                                    <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                                    <a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##ID##,'get':'CategoryMoveDisplay','result':doDisplayResult,'style':'boxlevel1','type':'##TYPE##','params':'rID=##ID##&name=##NAME_MOVE##'});"><img src="##IMAGE_PATH##/template/img_move.gif" title="Move Category"/></a>
                                </span>
                                <span id="##TYPE####ID##mupdate" style="display:none">
                                    <a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':##ID##,'get':'CategoryUpdate','imgUpdate':true,'type':'##TYPE##','refresh':'1','style':'boxlevel1','validate':CategoryValidate,'uptForm':'Category','result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
                                    <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                                    <a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':##ID##,'get':'Edit','type':'##TYPE##','style':'boxlevel1'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
                                </span>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </td>
</tr>
<?php

$contents=ob_get_contents();
ob_end_clean();
return $contents;
}

function getCmsFaqListTemplate(){
ob_start();
getTemplateRowTop();
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##">
    <tr>
        <td>
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td width="15" id="##TYPE####ID##bullet">##STATUS##</td>
                    <td align="left" width="75%"class="main" onClick="javascript:doDisplayAction({'id':'##ID##','cid':'##CID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&cID=##CID##&aID=##AID##','style':'boxRow'});" style="cursor:pointer;cursor:hand" id="##TYPE####ID##name">##NAME##</td>
                    <td  width="25%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
                        <span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
                            <a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'CmsFaqEdit','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&cID=##CID##&aID=##AID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'CmsFaqDeleteConfirm','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&cID=##CID##&aID=##AID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif" title="Delete"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##ID##,'get':'ProductCopyDisplay','result':doDisplayResult,'style':'boxRow','type':'prd','params':'rID=##ID##&cID=##CID##'});"><img src="##IMAGE_PATH##/template/copy_blue.gif" title="Copy"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##ID##,'get':'CmsFaqMoveDisplay','result':doDisplayResult,'style':'boxRow','type':'prd','params':'rID=##ID##&cID=##CID##'});"><img src="##IMAGE_PATH##/template/img_move.gif" title="Move Category"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                        </span>
                        <span id="##TYPE####ID##mupdate" style="display:none">
                            <a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':##ID##,'get':'CmsFaqUpdate','imgUpdate':true,'type':'##TYPE##','style':'boxRow','validate':CmsFaqValidate,'uptForm':'new_product','result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img ty src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':##ID##,'get':'Edit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
                        </span>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<?php
getTemplateRowBottom();
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}


function getInfoTemplate(){
ob_start();
?>
<table border="0" cellpadding="4" cellspacing="0" width="100%">
    <div class="hLineGray"></div>
    <tr> <td class="main"><div style=" font-weight:bold; padding-top:10px; width:100%;height:20px;overflow:hidden"><!--##HEAD_NAME##--></div></td>

    <tr>
        <td width="10%" align="right" nowrap="nowrap" style="overflow:hidden;" class="main"><b>##ENT_NAME##</b></td>
        <td width="3%" align="left" style="overflow:hidden"  class="main">##NAME##</td>
        <td width="5%" align="right" style="overflow:hidden" class="main" nowrap="nowrap"><b>##ENT_DESCRIPTION##</b></td>
        <td width="10%"  align="left" style="overflow:hidden" class="main" nowrap="nowrap">##DESCRIPTION##</td>
    </tr>
</table>
<?php
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}

function getCategoryInfoTemplate(){
ob_start();
?>
<table border="0" cellpadding="0" cellspacing="0" width="50%">
    <tr>
        <td valign="top" width="##IMAGE_WIDTH##"><div style="width:100%;height:100px;overflow:hidden">##IMAGE##</div></td>
        <td width="10">&nbsp;</td>
        <td valign="top" width="250">
            <table border="0" cellpadding="3" cellspacing="0" width="100%">
                <tr>
                    <td class="main" >##DATE_ADDED##</td>
                </tr>
            </table>
        </td>

    </tr>
    <tr height="10">
        <td>&nbsp;</td>
    </tr>
</table>
<?php
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}

function getCmsInfoTemplate(){
ob_start();
?>
<table border="0" cellpadding="0" cellspacing="0" width="50%">
    <tr>
        <td valign="top" width="##IMAGE_WIDTH##"><div style="width:100%;height:100px;overflow:hidden">##IMAGE##</div></td>
        <td width="10">&nbsp;</td>
        <td valign="top" width="250">
            <table border="0" cellpadding="3" cellspacing="0" width="100%">
                <tr>
                    <td class="main" >##DATE_ADDED##</td>
                </tr>
                <tr>
                    <td class="main" >##DATE_AVAILABLE##</td>
                </tr>
            </table>
        </td>

    </tr>
    <tr height="10">
        <td>&nbsp;</td>
    </tr>
</table>
<?php
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}


?>