<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License
*/
	function doImageUpload(){
			global $REQUEST,$UPLOAD_FS_DIR,$js_string;
			if(!is_writable($UPLOAD_FS_DIR) || !is_writable($UPLOAD_FS_DIR)) {
				echo "Err:" .sprintf(WARNING_IMAGE_DIRECTORY_WRITEABLE,$upload_fs_dir);
				return;
			}
			$image_list_str=$REQUEST->postvalue('image_list');
			if ($image_list_str=="") {
				echo "Err:" . IMAGE_INPUTS_CANNOT_FOUND;
				return;
			}
			$image_list=split(",",$image_list_str);
			$result=array();
			for ($icnt=0,$n=count($image_list);$icnt<$n;$icnt++){
				$key_name=str_replace("_file","",$image_list[$icnt]);
				if ($REQUEST->getPostFile($image_list[$icnt])==""){
					$result[$key_name]='';
					continue;
				}
				$image=new upload($image_list[$icnt]);
				$image->set_destination($UPLOAD_FS_DIR);
				if ($image->parse() && $image->save()) $result[$key_name]=$image->filename;
				else break;
			}
			if ($icnt<$n){
				echo "Err:" . sprintf(IMAGE_FAILED_TO_UPLOAD,$image_list[$icnt]);
			} else {
				$js_string='';
				json_string($result);
				echo $js_string;
				$JS_VARS=array();
			}
	}
	function pgLinksCombo($query_numrows, $max_rows_per_page, $current_page_number,$form_link='',$page_link=''){
		$num_pages = ceil($query_numrows / $max_rows_per_page);
		
		$pages_array = array();
		for ($i=1; $i<=$num_pages; $i++) {
			$pages_array[] = array('id' => $i, 'text' => $i);
		}

		$template_arr=array('DISPLAY_COUNT'=>'',
							'DISPLAY_PREV'=>'',
							'DISPLAY_LINKS'=>sprintf(TEXT_RESULT_PAGE, $num_pages, $num_pages),
							'DISPLAY_NEXT'=>'',
							'FORM_ID'=>time(),
							'FORM_LINK'=>$form_link
							);
							
		if ($num_pages > 1) {
			if ($current_page_number > 1) {
			  $template_arr['DISPLAY_PREV']= '<a href="javascript:void(0)" onClick="javascript:return ' . str_replace("##PAGE_NO##",$current_page_number - 1,$page_link) . ';" class="splitPageLink">' . PREVNEXT_BUTTON_PREV . '</a>';
			} else {
			  $template_arr['DISPLAY_PREV']= PREVNEXT_BUTTON_PREV;
			}
		
			$template_arr['DISPLAY_LINKS'] = sprintf(TEXT_RESULT_PAGE, tep_draw_pull_down_menu('pgnavigcombo' . $template_arr['FORM_ID'], $pages_array, $current_page_number, 'onChange="javascript:'. str_replace("##PAGE_NO##","this.value",$page_link) .'"'), $num_pages);
		
		
			if (($current_page_number < $num_pages) && ($num_pages != 1)) {
			  $template_arr['DISPLAY_NEXT'] = '<a href="javascript:void(0)" onClick="javascript:return ' . str_replace("##PAGE_NO##",$current_page_number + 1,$page_link) . ';" class="splitPageLink">' . PREVNEXT_BUTTON_NEXT . '</a>';
			} else {
			  $template_arr['DISPLAY_NEXT'] = PREVNEXT_BUTTON_NEXT;
			}
		}
		$template_str=getPaginationTemplate();
		return tep_replace_simple_template($template_arr,$template_str);
	}
	function outError($errorText){
		echo "Err:" . $errorText;
	}
	function tep_create_calendar($controlname,$date_format){
?>
		<a href="javascript:show_calendar('<?php echo $controlname;?>',null,null,'<?php echo $date_format;?>');"
		onmouseover="window.status='Date Picker';return true;"
		onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/ align="absmiddle">  
		</a>
<?php 
	}
	function getPaginationTemplate(){
	ob_start();
?>
	<tr>
		<td valign="top">
		<form name="pagenavig##FORM_ID##" id="page##FORM_ID##" method="get" action="##PAGE_LINK##">
		<table border="0" cellpadding="2" cellspacing="0" width="100%">
			<tr>
				<td class="main" width="50" align="right">##DISPLAY_PREV##</td>
				<td class="main" width="100">##DISPLAY_LINKS##</td>
				<td class="main" width="100">##DISPLAY_NEXT##</td>
				<td class="main">##DISPLAY_COUNT##</td>
			</tr>
		</table>
		</form>
		</td>
	</tr>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	function tep_replace_simple_template($array,$content){
		if (count($array)>0){
			reset($array);
			while(list($key,$value)=each($array)) $content=str_replace("##" . $key . "##",$value,$content);
		}
		return $content;
	}
?>