<?php
	/*Freeway eCommerce 
	http://www.openfreeway.org
	Copyright (c) 2007 ZacWare

	Released under the GNU General Public License*/


	define( '_FEXEC', 1 );
	
	$format=array('d-m-Y'=>'dd-mm-yyyy',
				  'm-d-Y'=>'mm-dd-yyyy',
				  'Y-m-d'=>'yyyy-mm-dd');
	if(isset($joomla_include)) $usersConfig = &JComponentHelper::getParams('com_users');	
	require('includes/application_top.php');	
	$serverDate = date('Y-m-d H:i:s',getServerDate(false));

	//ajax end
	if($FSESSION->is_registered('customer_id')) tep_redirect(tep_href_link('account.php'));

	// needs to be included earlier to set the success message in the messageStack
	require(DIR_WS_LANGUAGES . $FSESSION->language . '/' . FILENAME_CREATE_ACCOUNT_NEW);

	$action=tep_db_prepare_input($FREQUEST->postvalue('action'));
	if ($action=="process"){
		$POST_=$FREQUEST->getRef("POST");
		if (count($POST_)>0){
			reset($POST_);
			while(list($key,)=each($POST_)){
				$ACCOUNT[$key]=$FREQUEST->postvalue($key);
			}
		}
	} else {
		$ACCOUNT=array();
	}

	
	
	require(DIR_WS_CLASSES . 'customerAccount.php');
	$customerAccount=new customerAccount();
	$fieldsDesc=$customerAccount->getFieldsDescription();

	$action=tep_db_prepare_input($FREQUEST->postvalue('action'));
	if ($action=="process"){
		$CUSTOMER=array();
		$ADDRESS=array();
		$INFO=array();
		$EXTRA=array();
		$PREV_ERROR=array();
		$pass=true;
		for ($icnt=0,$n=count($fieldsDesc);$icnt<$n;$icnt++){
			$fieldDesc=&$fieldsDesc[$icnt];
			if (method_exists($customerAccount,"check__" . $fieldDesc['uniquename'])){
				$pass&=$customerAccount->{"check__" . $fieldDesc['uniquename']}(&$fieldDesc);
			} else {
				$pass&=$customerAccount->commonCheck(&$fieldDesc);
			}
		}
		if ($pass){
			tep_db_perform(TABLE_CUSTOMERS,$CUSTOMER);
			$customer_id=tep_db_insert_id();
			$ADDRESS["customers_id"]=$customer_id;
			tep_db_perform(TABLE_ADDRESS_BOOK,$ADDRESS);
			$address_id=tep_db_insert_id();
			tep_db_query("update " . TABLE_CUSTOMERS . " set customers_default_address_id = '$address_id' where customers_id = '$customer_id'");
			
			$INFO["customers_info_id"]=$customer_id;
			$INFO["customers_info_number_of_logons"]=0;
			$INFO["customers_info_date_account_created"]=$serverDate;
			if (isset($INFO["customers_info_source_id"])){
				if ($INFO["customers_info_source_id"]=='999'){
					tep_db_query("insert into " . TABLE_SOURCES_OTHER . " (customers_id, sources_other_name) values ('$customer_id', '". $INFO["source_other"] . "')");
				}
				unset($INFO["source_other"]);
			}
			tep_db_perform(TABLE_CUSTOMERS_INFO,$INFO);
			if (count($EXTRA)>0){
				reset($EXTRA);
				while(list($key,$value)=each($EXTRA)){
					$sql_array=array("customers_id"=>$customer_id,"uniquename"=>$key,"fieldvalue"=>$value);
					tep_db_perform(TABLE_CUSTOMERS_EXTRA_INFO,$sql_array);
				}
			}
			$FSESSION->set('customer_id',$customer_id);
			$FSESSION->set('customer_default_address_id',$address_id);
			$FSESSION->set('customer_first_name',$ACCOUNT['#1_firstname']);
			$FSESSION->set('customer_country_id',$ACCOUNT['entry_country']);
			$FSESSION->set('customer_zone_id',$ACCOUNT['entry_zone_id']);

			$cart->restore_contents();

			//Send email
			$send_details=array();
			
			//build merge details
			$merge_details=array();
			$merge_details[TEXT_FN]=$ACCOUNT['#1_firstname'];
			$merge_details[TEXT_LN]=$ACCOUNT['#1_lastname'];

			if (isset($ACCOUNT["#1_gender"])) {
				if ($gender == 'm') {
					$merge_details[TEXT_GR] = sprintf(EMAIL_GREET_MR, $ACCOUNT['#1_lastname']);
				} else {
					$merge_details[TEXT_GR] = sprintf(EMAIL_GREET_MS, $ACCOUNT['#1_lastname']);
				}
			} else {
				$merge_details[TEXT_GR] = sprintf(EMAIL_GREET_NONE, $ACCOUNT['#1_firstname']);
			}

			$merge_details[TEXT_SM]=STORE_NAME;
			$merge_details[TEXT_SN]=STORE_OWNER;
			$merge_details[TEXT_SE]=STORE_OWNER_EMAIL_ADDRESS;
			$merge_details[TEXT_LE]=$ACCOUNT['customers_email_address'];
			$merge_details[TEXT_US]=$ACCOUNT['customers_username'];
			$merge_details[TEXT_LP]=$FREQUEST->postvalue('customers_password');
			$merge_details[TEXT_SP]=HTTP_SERVER . DIR_WS_CATALOG . "images/".COMPANY_LOGO;
			$send_details[0]['to_name'] = $CUSTOMER['customers_firstname'] . ' ' .  $CUSTOMER['customers_lastname'];
			$send_details[0]['to_email'] =  $CUSTOMER['customers_email_address'];
			$send_details[0]['from_name']=STORE_OWNER;
			$send_details[0]['from_email']=STORE_OWNER_EMAIL_ADDRESS;

			tep_send_default_email("CUS",$merge_details,$send_details);
            
			if ((NEW_SIGNUP_GIFT_VOUCHER_AMOUNT > 0) || (NEW_SIGNUP_DISCOUNT_COUPON != '')) {
				$email_text .= EMAIL_TEXT . EMAIL_CONTACT . EMAIL_WARNING;
			}
			// ICW - CREDIT CLASS CODE BLOCK ADDED  ******************************************************* BEGIN
			if (NEW_SIGNUP_GIFT_VOUCHER_AMOUNT > 0) {
				$coupon_code = create_coupon_code();
				$insert_query = tep_db_query("insert into " . TABLE_COUPONS . " (coupon_code, coupon_type, coupon_amount, date_created) values ('" . tep_db_input($coupon_code) . "', 'G', '" . NEW_SIGNUP_GIFT_VOUCHER_AMOUNT . "', '". $serverDate ."')");
				$insert_id = tep_db_insert_id($insert_query);
				$insert_query = tep_db_query("insert into " . TABLE_COUPON_EMAIL_TRACK . " (coupon_id, customer_id_sent, sent_firstname, emailed_to, date_sent) values ('" . tep_db_input($insert_id) ."', '0', 'Admin', '" . tep_db_input($CUSTOMER['customers_email_address']) . "', '". $serverDate ."' )");
				
				$email_text .= sprintf(EMAIL_GV_INCENTIVE_HEADER, $currencies->format(NEW_SIGNUP_GIFT_VOUCHER_AMOUNT)) . "\n\n" .
							   sprintf(EMAIL_GV_REDEEM, $coupon_code) . "\n\n" .
							   EMAIL_GV_LINK . tep_href_link(FILENAME_GV_REDEEM, 'gv_no=' . $coupon_code) .
							   "\n\n";
			}
			if (NEW_SIGNUP_DISCOUNT_COUPON != '') {
				$coupon_id = NEW_SIGNUP_DISCOUNT_COUPON;
				$coupon_query = tep_db_query("select * from " . TABLE_COUPONS . " where coupon_id = '" . tep_db_input($coupon_id) . "'");
				$coupon_desc_query = tep_db_query("select * from " . TABLE_COUPONS_DESCRIPTION . " where coupon_id = '" . tep_db_input($coupon_id) . "' and language_id = '" . $FSESSION->languages_id . "'");
				$coupon = tep_db_fetch_array($coupon_query);
				$coupon_desc = tep_db_fetch_array($coupon_desc_query);
				$insert_query = tep_db_query("insert into " . TABLE_COUPON_EMAIL_TRACK . " (coupon_id, customer_id_sent, sent_firstname, emailed_to, date_sent) values ('" . tep_db_input($coupon_id) ."', '0', 'Admin', '" . tep_db_input($CUSTOMER['customers_email_address']) . "', '". $serverDate ."' )");
				$email_text .= EMAIL_COUPON_INCENTIVE_HEADER .  "\n\n" .
							   $coupon_desc['coupon_description'] .
							   sprintf(EMAIL_COUPON_REDEEM, $coupon['coupon_code']) . "\n\n" .
							   "\n\n";
			
			}    
			// ICW - CREDIT CLASS CODE BLOCK ADDED  ******************************************************* END
      		//tep_m($name, $email_address, EMAIL_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
			//JOOMLA5 extend  start
			if ($joomla_include){
				$db = &JFactory::getDBO();
				$db->setQuery("select id from #__users where username='".tep_db_prepare_input($CUSTOMER['customers_username'])."'");
				$userid=$db->loadResult();
				$already_user_found=false;
				if($userid<=0) {
					$name=stripslashes(tep_db_prepare_input($CUSTOMER['customers_firstname']).' '.tep_db_prepare_input($CUSTOMER['customers_lastname']));
					$username=stripslashes(tep_db_prepare_input($CUSTOMER['customers_username']));
					jimport('joomla.user.helper');
					$salt = JUserHelper::genRandomPassword(32);
					$crypt = JUserHelper::getCryptedPassword(tep_db_prepare_input($FREQUEST->postvalue('customers_password')),$salt);
					$password = $crypt.':'.$salt;
					$hash_id=md5(time());
					$email_address=stripslashes($CUSTOMER['customers_email_address']);
					$query=sprintf("INSERT INTO #__users (name, username, email, password, usertype, registerDate, gid, block,activation) VALUES (%s,%s,%s,%s,'%s','%s','%s',%s,%s)",$db->Quote($name),$db->Quote($username),$db->Quote($email_address),$db->Quote($password),$usersConfig->get('new_usertype'), date( 'Y-m-d H:i:s' ), 18, 0,$db->Quote($hash_id));
					$db->Execute($query);
					$user_id = intval($db->insertid());
					$db->setQuery("select * from #__users where id='".$user_id."'");
					$userdetail=$db->loadAssoc();
					$user =& JFactory::getUser();
					reset($userdetail);
					while (list($key, $val) = each($userdetail)) {
						$user->$key=$val;
					}
					$user->aid='1';
					$user->guest='0';
					if ($user_id>0){
						$query="INSERT INTO #__core_acl_aro (section_value, value, order_value, name, hidden) VALUES ('users', ".$user_id.", 0, '".$name."', 0)";
						$db->setQuery($query);
						$db->query();
						$aro_id = $db->insertid();
						$query="INSERT INTO #__core_acl_groups_aro_map (group_id, aro_id) VALUES (18, ".$aro_id.")";
						$db->setQuery($query);
						$db->query();
						$query=sprintf("UPDATE #__session set username=%s,time='%s',guest=0,userid=%s,usertype='".$usersConfig->get('new_usertype')."',gid=18 where session_id=%s",$db->Quote($username),time(),$user_id,$db->Quote($check_id));
						$db->setQuery($query);
						$db->query(); 
						$raw_password=tep_db_prepare_input($FREQUEST->postvalue('customers_password'));
						$already_user_found=true;
					}
				}else {
					$username=tep_db_prepare_input($CUSTOMER['customers_username']);
					$raw_password=tep_db_prepare_input($FREQUEST->postvalue('customers_password'));
					$already_user_found=true;	
				}
			}
			tep_redirect(tep_href_link(FILENAME_CREATE_ACCOUNT_SUCCESS, '', 'SSL'));
		}
		for ($icnt=0,$n=count($customerAccount->errors);$icnt<$n;$icnt++){
			$messageStack->add('account',$customerAccount->errors[$icnt]);
		}
	}
	$JS_VARS["page"]=array('formName'=>'account','fieldsDesc'=>$fieldsDesc,'dateFormat'=>$format[EVENTS_DATE_FORMAT],'formErrText'=>str_replace("\\n","--",JS_ERROR));
	
	$breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_CREATE_ACCOUNT_NEW, '', 'SSL'));
	$content = CONTENT_CREATE_ACCOUNT_NEW;
	
	require(DIR_WS_TEMPLATES . TEMPLATE_NAME . '/' . TEMPLATENAME_MAIN_PAGE);
	require(DIR_WS_INCLUDES . 'application_bottom.php');
?>