<?php
/*
osCommRes, Services Online 
http://www.oscommres.com 
Copyright (c) 2005 osCommRes

    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare

Released under the GNU General Public License
*/	
defined('_JEXEC') or die();
defined('_FEXEC') or die();
define('FREEWAY_FOLDER','freeway' .DS);
ini_set('default_charset','iso-8859-1'); //set charset
// start the timer for the page pars	e time log
define('PAGE_PARSE_START_TIME', microtime());
// set the level of error reporting

define('CHECK_CON','');
define('DIR_WS_IMAGES',FREEWAY_FOLDER . 'images' . DS);
define('DIR_WS_INCLUDES',FREEWAY_FOLDER .'includes' .DS);
define('DIR_WS_TEMPLATES',FREEWAY_FOLDER . 'templates' . DS);

$uri = &JFactory::getURI();

define('DIR_FS_CATALOG',JPATH_BASE . DS);
$doc_path=$uri->root(true);
if (strlen($doc_path)>1){
	$doc_path.=DS;
}
$home_url = 'http://' . $uri->_host . $doc_path;

define('HTTP_HOME_URL', $home_url);
define('DIR_WS_HTTP_CATALOG', $doc_path);
define('DIR_WS_HTTPS_CATALOG', DIR_WS_HTTP_CATALOG);


require(CHECK_CON . FREEWAY_FOLDER .'includes/configure.php');


// include the list of project filenames
require(DIR_WS_INCLUDES . 'filenames.php');

// include the list of project database tables
require(DIR_WS_INCLUDES . 'database_tables.php');

// include the database functions
require(DIR_WS_FUNCTIONS . 'database.php');				 	
 
require(DIR_WS_CLASSES . 'filter_input.php');

$INPUT_FILTER = $GLOBALS['INPUT_FILTER'] = &new filter_input();

// make a connection to the database... now
tep_db_connect() or die('Unable to connect to database server!');

// set the application parameters
$configuration_query = tep_db_query('select configuration_key as cfgKey, configuration_value as cfgValue from ' . TABLE_CONFIGURATION);
while ($configuration = tep_db_fetch_array($configuration_query)) {
	define($configuration['cfgKey'], $configuration['cfgValue']);
}

require(DIR_WS_FUNCTIONS . 'general.php');
// define general functions used application-wide
require(DIR_WS_FUNCTIONS . 'html_output.php');

require(DIR_WS_CLASSES . 'seo_url.php');
$GLOBALS['joomla_include']=true;
$GLOBALS["SEO_URL"] = new seo_url;

require(DIR_WS_CLASSES . 'shopping_cart.php');

include_once(DIR_WS_CLASSES . 'request.php');
$FREQUEST=$GLOBALS['FREQUEST']=&new phprequest();


require(DIR_WS_CLASSES . 'sessions.php');
$FSESSION=$GLOBALS['FSESSION']=&new phpsession();
$FSESSION->start(true);


$temp_cart=&$FSESSION->getobject("cart");
if (!$temp_cart || @get_class($temp_cart)!="__PHP_Incomplete_Class"){
	$new_cart=new shoppingCart;
	$FSESSION->set('cart',$new_cart);
} else {
	$new_cart=new shoppingCart;
	foreach($temp_cart as $key=>$value) {
		if ($key!="__PHP_Incomplete_Class_Name")
		$new_cart->$key=$value;
	}
	$FSESSION->set('cart',$new_cart);
}
$GLOBALS["cart"]=&$FSESSION->getobject("cart");

// set the language
$t_language=$FREQUEST->getvalue('language');
if (!$FSESSION->is_registered('language') || $t_language!=''){
if ($t_language=='') $t_language=$FSESSION->language;

include(DIR_WS_CLASSES . 'language.php');
$lng = new language();

if ($t_language!='' && isset($lng->catalog_languages[$t_language])) {
	$lng->set_language($language);
} else {
	$lng->get_browser_language();
}

$FSESSION->set("language",$lng->language['directory']);
$FSESSION->set("languages_id",$lng->language['id']);
}  

// currency
$t_currency=$FREQUEST->getvalue('currency');
if (!$FSESSION->is_registered('t_currency') || $t_currency!=''){
	if ($t_currency=='') $t_currency=$FSESSION->currency;
	if (!tep_currency_exists($t_currency)) $t_currency=DEFAULT_CURRENCY;
	$FSESSION->set('currency',$t_currency);
}


?>