alter table events add linked_event char(1);
alter table events add forced_item char(1);
alter table events add linked_type char(1); 

UPDATE configuration SET `configuration_group_id` = '150' WHERE `configuration_key` IN (
'MAX_RANDOM_SELECT_NEW',
'MAX_RANDOM_SELECT_SPECIALS',
'MAX_DISPLAY_PRODUCTS_NEW',
'MAX_DISPLAY_FEATURED_PRODUCTS',
'MAX_DISPLAY_FEATURED_PRODUCTS_LISTING',
'MAX_DISPLAY_SPECIAL_PRODUCTS',
'MAX_DISPLAY_NEW_PRODUCTS',
'MAX_DISPLAY_UPCOMING_PRODUCTS',
'MAX_DISPLAY_MANUFACTURERS_IN_A_LIST',
'MAX_MANUFACTURERS_LIST',
'MAX_DISPLAY_MANUFACTURER_NAME_LEN'
);
      
UPDATE configuration SET configuration_title = 'Max. Best Sellers' WHERE configuration_key = 'MAX_DISPLAY_BESTSELLERS';

UPDATE configuration SET configuration_title = 'Min. Best Sellers' WHERE configuration_key = 'MIN_DISPLAY_BESTSELLERS';

UPDATE configuration SET configuration_title = 'Max. Also Purchased' WHERE configuration_key = 'MAX_DISPLAY_ALSO_PURCHASED';

UPDATE configuration SET configuration_title = 'Min. Also Purchased' WHERE configuration_key = 'MIN_DISPLAY_ALSO_PURCHASED';

UPDATE configuration SET configuration_title = 'Manufacturers Swap to List' WHERE configuration_key = 'MAX_DISPLAY_MANUFACTURERS_IN_A_LIST';

UPDATE configuration SET configuration_title = 'Manufacturers Display Format' WHERE configuration_key = 'MAX_MANUFACTURERS_LIST';

UPDATE configuration SET configuration_title = 'Cross Sales' WHERE configuration_key = 'MIN_DISPLAY_XSELL';

UPDATE configuration SET configuration_title = 'My Account' WHERE configuration_key = 'MAX_DISPLAY_ORDER_HISTORY';

UPDATE admin_menus SET filename = 'configuration.php' WHERE menu_id = '15';

UPDATE configuration SET `configuration_group_id` = '5' WHERE `configuration_key` IN (
'CC_OWNER_MIN_LENGTH',
'CC_NUMBER_MIN_LENGTH',
'REVIEW_TEXT_MIN_LENGTH',
'MAX_DISPLAY_BESTSELLERS',
'MIN_DISPLAY_BESTSELLERS',
'MAX_DISPLAY_SEARCH_RESULTS',
'MAX_DISPLAY_PAGE_LINKS',
'MAX_DISPLAY_NEW_REVIEWS',
'MAX_RANDOM_SELECT_REVIEWS',
'MAX_DISPLAY_CATEGORIES_PER_ROW',
'MAX_DISPLAY_ALSO_PURCHASED',
'MIN_DISPLAY_ALSO_PURCHASED',
'MAX_DISPLAY_PRODUCTS_IN_ORDER_HISTORY_BOX',
'MAX_DISPLAY_ORDER_HISTORY',
'MIN_DISPLAY_XSELL',
'ENTRY_USERNAME_MN_LENGTH',
'CHECKOUT_FAIL_RETRY',
'ENCRYPTION_HASH_VALUE',
'MY_ACCOUNT_LOGIN',
'MODULE_CUSTOMERS_PASSWORD_STRENGTH',
'MODULE_ADMIN_PASSWORD_STRENGTH'
);


INSERT into sql_queries values('freeway_v1_5_5.sql',now());
